	
@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  TIMESHEETS STP BUILD START   *********************

db2 drop procedure SP_I_ACT
db2 create procedure SP_I_ACT(in name long varchar, in tsk_assignment_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_ACT' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ACT
db2 create procedure SP_U_ACT(in id long varchar, in tsk_assignment_id long varchar, in name long varchar, in billable integer, in timecode_1_id long varchar, in timecode_1_name long varchar, in timecode_2_id long varchar, in timecode_2_name long varchar, in sched_work integer, in etc integer, in milestone_percent integer, in edpercent integer, in week_of long varchar, in monday_regular integer, in monday_special integer, in tuesday_regular integer, in tuesday_special integer, in wednesday_regular integer, in wednesday_special integer, in thursday_regular integer, in thursday_special integer, in friday_regular integer, in friday_special integer, in saturday_regular integer, in saturday_special integer, in sunday_regular integer, in sunday_special integer, in notes long varchar, in pda_flag long varchar, in etc_modified long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ACT' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_ACT
db2 create procedure SP_D_ACT(in id long varchar, in week_of long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_ACT' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_ACT
db2 create procedure SP_S_ACT(in id long varchar, in week_of long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_ACT' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ACT_ETC
db2 create procedure SP_U_ACT_ETC(in tsk_assignment_id long varchar, in etc_diff integer, in sched_work integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ACT_ETC' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ACT_MP
db2 create procedure SP_U_ACT_MP(in tsk_assignment_id long varchar, in milestone_percent_diff integer, in sched_work integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ACT_MP' language c deterministic parameter style general with nulls

echo ****************  TIMESHEETS STP BUILD FINISH   *********************
:done
