@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  ATTRIBUTE STP BUILD START   *********************

db2 drop procedure SP_S_ATTRIBUTE
db2 create procedure SP_S_ATTRIBUTE(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_ATTRIBUTE' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_HISTORY
db2 create procedure SP_U_HISTORY(in element_id long varchar, in change_brief long varchar, change_rank long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_HISTORY' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_ATR
db2 create procedure SP_I_ATR(in table_type integer, in name long varchar, in parent_id long varchar, in type integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ATR_MS
db2 create procedure SP_U_ATR_MS(in table_type integer, in id long varchar, in parent_id long varchar, in multi_select integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ATR_MS' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_ATR
db2 create procedure SP_D_ATR(in table_type integer, in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_UN_ATR
db2 create procedure SP_UN_ATR(in table_type integer, in id long varchar, in parent_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UN_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_ATR
db2 create procedure SP_A_ATR(in table_type integer, in element_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_ATR
db2 create procedure SP_UA_ATR(in table_type integer, in element_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UA_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_ATR
db2 create procedure SP_S_ATR(in table_type integer, in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_A_ATR
db2 create procedure SP_S_A_ATR(in table_type integer, in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_A_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_ATR
db2 create procedure SP_M_ATR(in table_type integer, in parent_id long varchar, in source_id long varchar, in target_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_M_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_PROJ_ATR
db2 create procedure SP_M_PROJ_ATR(in table_type integer,in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_PROJ_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_DEL_ATR
db2 create procedure SP_M_DEL_ATR(in table_type integer,in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_DEL_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_TASK_ATR
db2 create procedure SP_M_TASK_ATR(in table_type integer,in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_TASK_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_CR_ATR
db2 create procedure SP_M_CR_ATR(in table_type integer,in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_CR_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_RISK_ATR
db2 create procedure SP_M_RISK_ATR(in table_type integer,in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_RISK_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_ISS_ATR
db2 create procedure SP_M_ISS_ATR(in table_type integer,in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_ISS_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_POOL_ATR
db2 create procedure SP_M_POOL_ATR(in table_type integer,in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_POOL_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_DOC_ATR
db2 create procedure SP_M_DOC_ATR(in table_type integer,in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_DOC_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_REQ_ATR
db2 create procedure SP_M_REQ_ATR(in table_type integer,in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_REQ_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_CLIENT_ATR
db2 create procedure SP_M_CLIENT_ATR(in table_type integer,in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_CLIENT_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_VENDOR_ATR
db2 create procedure SP_M_VENDOR_ATR(in table_type integer,in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_VENDOR_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_ASSET_ATR
db2 create procedure SP_M_ASSET_ATR(in table_type integer,in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_ASSET_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_SRVREQ_ATR
db2 create procedure SP_M_SRVREQ_ATR(in table_type integer,in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_SRVREQ_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_DEF_ATR
db2 create procedure SP_M_DEF_ATR(in table_type integer,in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_DEF_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_ACT_ITM_ATR
db2 create procedure SP_M_ACT_ITM_ATR(in table_type integer,in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_ACT_ITM_ATR' language c deterministic parameter style general with nulls

rem db2 drop procedure SP_U_ATR
rem db2 create procedure SP_U_ATR(in table_type integer, in id long varchar, in parent_id long varchar, in name long varchar, in description long varchar, in weight integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ATR' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ATR
db2 create procedure SP_U_ATR(in table_type integer, in id long varchar, in parent_id long varchar, in name long varchar, in description long varchar,in weight integer, in input_type integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ATR' language c deterministic parameter style general with nulls


echo ****************  ATTRIBUTE STP BUILD FINISH   *********************
:done
