@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  CALENDARS STP BUILD START   *********************

db2 drop procedure SP_I_CAL
db2 create procedure SP_I_CAL(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_CAL' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CAL_MINUTES
db2 create procedure SP_U_CAL_MINUTES(in id long varchar, in mpd integer, in mpw integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CAL_MINUTES' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CAL
db2 create procedure SP_U_CAL(in id long varchar, in name long varchar, in description long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CAL' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CAL_HOURS
db2 create procedure SP_U_CAL_HOURS(in id long varchar, in day_week integer, in from1 long varchar, in to1 long varchar, in from2 long varchar, in to2 long varchar, in from3 long varchar, in to3 long varchar, in from4 long varchar, in to4 long varchar, in from5 long varchar, in to5 long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CAL_HOURS' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_CAL
db2 create procedure SP_D_CAL(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_CAL' language c deterministic parameter style general with nulls

db2 drop procedure SP_UN_CAL
db2 create procedure SP_UN_CAL(in id long varchar, in parent_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UN_CAL' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_CAL
db2 create procedure SP_S_CAL(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_CAL' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_CAL_EXC
db2 create procedure SP_I_CAL_EXC(in name long varchar, in parent_id long varchar, in type_id integer,in rec_user long varchar) external name '%procdir%%DB%!SP_I_CAL_EXC' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CAL_EXC
db2 create procedure SP_U_CAL_EXC(in id long varchar, in element_id long varchar, in name long varchar, in description long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CAL_EXC' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CAL_EXC_HOURS 
db2 create procedure SP_U_CAL_EXC_HOURS(in id long varchar, in calendar_id long varchar, in exception_date long varchar, in day_week integer, in from1 long varchar, in to1 long varchar, in from2 long varchar, in to2 long varchar, in from3 long varchar, in to3 long varchar, in from4 long varchar, in to4 long varchar, in from5 long varchar, in to5 long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CAL_EXC_HOURS' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_CAL_EXC
db2 create procedure SP_D_CAL_EXC(in id long varchar, in parent_id long varchar, in del_flag long varchar,  in rec_user long varchar) external name '%procdir%%DB%!SP_D_CAL_EXC' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_CAL_EXC
db2 create procedure SP_S_CAL_EXC(in calendar_id long varchar, in element_id long varchar, in start long varchar, in finish long varchar) external name '%procdir%%DB%!SP_S_CAL_EXC' language c deterministic parameter style general with nulls

echo ****************  CALENDARS STP BUILD FINISH   *********************
:done
