@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  COST BACK STP BUILD START   *********************

db2 drop procedure SP_S_A_CHARGEBACK
db2 create procedure SP_S_A_CHARGEBACK(in p_project_id long varchar, in p_bitflag integer, in p_rec_user long varchar) external name '%procdir%%DB%!SP_S_A_CHARGEBACK' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_CHARGEBACK
db2 create procedure SP_A_CHARGEBACK(in p_project_id long varchar, in p_client_id long varchar, in p_rec_user long varchar) external name '%procdir%%DB%!SP_A_CHARGEBACK' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_CHARGEBACK
db2 create procedure SP_UA_CHARGEBACK(in p_project_id long varchar, in p_client_id long varchar, in p_rec_user long varchar) external name '%procdir%%DB%!SP_UA_CHARGEBACK' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CHARGEBACK
db2 create procedure SP_U_CHARGEBACK(in p_chargeback_id long varchar, in p_benefit_percent integer, in p_benefit_amount double, in p_benefit_flag integer, in p_paid_todate integer, in p_timephased_flag integer, in p_rec_user long varchar ) external name '%procdir%%DB%!SP_U_CHARGEBACK' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_PCB
db2 create procedure SP_S_PCB(in project_id long varchar, in entry_year integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_PCB' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_PCB
db2 create procedure SP_U_PCB(in project_id long varchar, in client_id long varchar, in entry_type integer, in entry_year integer, in month_01_amount double, in month_02_amount double, in month_03_amount double, in month_04_amount double, in month_05_amount double, in month_06_amount double, in month_07_amount double, in month_08_amount double, in month_09_amount double, in month_10_amount double, in month_11_amount double, in month_12_amount double, in rec_user long varchar) external name '%procdir%%DB%!SP_U_PCB' language c deterministic parameter style general with nulls

echo ****************  BUDGETS STP BUILD FINISH   *********************
:done
