@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  CHARGECODE STP BUILD START   *********************

db2 drop procedure SP_I_CHARGECODE
db2 create procedure SP_I_CHARGECODE(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_CHARGECODE' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CHARGECODE
db2 create procedure SP_U_CHARGECODE(in id long varchar, in name long varchar, in description long varchar, in capital_expense integer,in billable integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CHARGECODE' language c deterministic parameter style general with nulls

db2 drop procedure SP_DF_CHARGECODE
db2 create procedure SP_DF_CHARGECODE(in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_DF_CHARGECODE' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_CHARGECODE
db2 create procedure SP_D_CHARGECODE(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_CHARGECODE' language c deterministic parameter style general with nulls

db2 drop procedure SP_UN_CHARGECODE
db2 create procedure SP_UN_CHARGECODE(in id long varchar, in parent_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UN_CHARGECODE' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_CHARGECODE
db2 create procedure SP_S_CHARGECODE(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_CHARGECODE' language c deterministic parameter style general with nulls

db2 drop procedure SP_CB_CHARGECODE
db2 create procedure SP_CB_CHARGECODE(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_CB_CHARGECODE' language c deterministic parameter style general with nulls

db2 drop procedure SP_AVAILABLE_CC
db2 create procedure SP_AVAILABLE_CC(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_AVAILABLE_CC' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_CC_WBS
db2 create procedure SP_A_CC_WBS(in element_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_CC_WBS' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_CC_WBS
db2 create procedure SP_UA_CC_WBS(in element_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UA_CC_WBS' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_WBS_A_CC
db2 create procedure SP_S_WBS_A_CC(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_WBS_A_CC' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_CC_CRI
db2 create procedure SP_A_CC_CRI(in element_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_CC_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_CC_CRI
db2 create procedure SP_UA_CC_CRI(in element_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UA_CC_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_CRI_A_CC
db2 create procedure SP_S_CRI_A_CC(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_CRI_A_CC' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ASS_CC
db2 create procedure SP_U_ASS_CC(in id long varchar, in associate_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ASS_CC' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_AVAILABLE_ASS_CC
db2 create procedure SP_S_AVAILABLE_ASS_CC(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_AVAILABLE_ASS_CC' language c deterministic parameter style general with nulls


echo ****************  CHARGECODE STP BUILD FINISH   *********************
:done
