@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  CLIENT STP BUILD START   *********************

db2 drop procedure SP_I_CLIENT
db2 create procedure SP_I_CLIENT(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_CLIENT' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CLIENT_NAME
db2 create procedure SP_U_CLIENT_NAME(in id long varchar, in name long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CLIENT_NAME' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CLIENT_DESC
db2 create procedure SP_U_CLIENT_DESC(in id long varchar, in label long varchar, in description long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CLIENT_DESC' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CLIENT_PUBLIC
db2 create procedure SP_U_CLIENT_PUBLIC(in id long varchar, in public long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CLIENT_PUBLIC' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CLIENT_CIE
db2 create procedure SP_U_CLIENT_CIE(in id long varchar, in domain_id long varchar, in company_name long varchar, in address long varchar, in phone long varchar, in fax long varchar, in website long varchar, in other_location long varchar, in year_in_business integer, in CLIENT_more_100_employees integer, in CLIENT_more_1000_employees integer, in CLIENT_more_10000_employees integer, in number_employees integer, in contact_name long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CLIENT_CIE' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CLIENT_BKG
db2 create procedure SP_U_CLIENT_BKG(in id long varchar, in annual_revenues double, in billing_address long varchar, in billing_phone long varchar, in billing_fax long varchar, in billing_email long varchar, in equal_opportunity long varchar, in company_background long varchar, in ownership long varchar, in services_offered long varchar, in services_specialized long varchar, in industries_served long varchar, in highlight long varchar, in location_served long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CLIENT_BKG' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_CLIENT
db2 create procedure SP_D_CLIENT(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_CLIENT' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_CLIENT_CPLAN
db2 create procedure SP_S_CLIENT_CPLAN(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_CLIENT_CPLAN' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_CLIENT
db2 create procedure SP_S_CLIENT(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_CLIENT' language c deterministic parameter style general with nulls

db2 drop procedure SP_CKOUT_CLIENT
db2 create procedure SP_CKOUT_CLIENT(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CKOUT_CLIENT' language c deterministic parameter style general with nulls

db2 drop procedure SP_CKIN_CLIENT
db2 create procedure SP_CKIN_CLIENT(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CKIN_CLIENT' language c deterministic parameter style general with nulls

db2 drop procedure SP_UCKOUT_CLIENT
db2 create procedure SP_UCKOUT_CLIENT(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_UCKOUT_CLIENT' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CLIENT_REVISION
db2 create procedure SP_U_CLIENT_REVISION(in id long varchar, in bitflag integer, in rev_impact integer, in rev_type integer, in rev_history long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CLIENT_REVISION' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_CLIENT_REVISION
db2 create procedure SP_S_CLIENT_REVISION(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_CLIENT_REVISION' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_CLIENT
db2 create procedure SP_M_CLIENT(in target long varchar, in source long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_CLIENT' language c deterministic parameter style general with nulls

db2 drop procedure SP_MERGE_CLIENT
db2 create procedure SP_MERGE_CLIENT(in target long varchar, in source long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_MERGE_CLIENT' language c deterministic parameter style general with nulls


db2 drop procedure SP_FIND
db2 create procedure SP_FIND(in name long varchar, in bitflag integer, in project_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_FIND' language c deterministic parameter style general with nulls

echo ****************  CLIENT STP BUILD FINISH   *********************
:done
