@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  COST CENTERS STP BUILD START   *********************

db2 drop procedure SP_S_CCNTR
db2 create procedure SP_S_CCNTR(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_CCNTR' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_CCNTR
db2 create procedure SP_I_CCNTR(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_CCNTR' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CCNTR
db2 create procedure SP_U_CCNTR(in id long varchar, in name long varchar, in description long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CCNTR' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_CCNTR
db2 create procedure SP_D_CCNTR(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_CCNTR' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_CCNTR
db2 create procedure SP_M_CCNTR(in target long varchar, in source long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_CCNTR' language c deterministic parameter style general with nulls

echo ****************  GEO STP BUILD FINISH   *********************
:done
