@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  DOMAIN STP BUILD START   *********************

db2 drop procedure SP_I_DOMAIN
db2 create procedure SP_I_DOMAIN(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_DOMAIN' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_DOMAIN
db2 create procedure SP_U_DOMAIN(in id long varchar, in name long varchar, in description long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_DOMAIN' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_DOMAIN
db2 create procedure SP_D_DOMAIN(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_DOMAIN' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_DOMAIN
db2 create procedure SP_S_DOMAIN(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_DOMAIN' language c deterministic parameter style general with nulls

echo ****************  DOMAIN STP BUILD FINISH   *********************
:done
