@echo off
set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

REM ********************************************* BEGIN *****************************************************

echo ****************  ROLLUP STP BUILD START   *********************

db2 drop procedure ROLLUP_EV

db2 drop procedure SP_ROLLUP_EV
db2 create procedure SP_ROLLUP_EV(id long varchar, bitflag integer) external name '%procdir%%DB%!SP_ROLLUP_EV' language c deterministic parameter style general with nulls

db2 drop procedure SP_FIX_ASSIGNMENT_DELAY
db2 create procedure SP_FIX_ASSIGNMENT_DELAY(id long varchar, bitflag integer) external name '%procdir%%DB%!SP_FIX_ASSIGNMENT_DELAY' language c deterministic parameter style general with nulls

db2 drop procedure SP_FIX_ASSIGNMENT_WORK
db2 create procedure SP_FIX_ASSIGNMENT_WORK(id long varchar, bitflag integer) external name '%procdir%%DB%!SP_FIX_ASSIGNMENT_WORK' language c deterministic parameter style general with nulls

db2 drop procedure SP_ROLLUP_FROM_ST
db2 create procedure SP_ROLLUP_FROM_ST(id long varchar, bitflag integer) external name '%procdir%%DB%!SP_ROLLUP_FROM_ST' language c deterministic parameter style general with nulls

db2 drop procedure SP_TA_REC_DATETIME
db2 create procedure SP_TA_REC_DATETIME(id long varchar, bitflag integer) external name '%procdir%%DB%!SP_TA_REC_DATETIME' language c deterministic parameter style general with nulls

db2 drop procedure SP_RE_POPULATE_CAL
db2 create procedure SP_RE_POPULATE_CAL(p_table_type integer, p_id long varchar, p_calendar_id long varchar) external name '%procdir%%DB%!SP_RE_POPULATE_CAL' language c deterministic parameter style general with nulls

db2 drop procedure SP_FIX_TDY_BITS
db2 create procedure SP_FIX_TDY_BITS(id long varchar, bitflag integer) external name '%procdir%%DB%!SP_FIX_TDY_BITS' language c deterministic parameter style general with nulls

echo ****************  ROLLUP STP BUILD FINISH   *********************

:done

