@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  FACTORS STP BUILD START   *********************

db2 drop procedure SP_I_FAC
db2 create procedure SP_I_FAC(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_FAC' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_FAC
db2 create procedure SP_U_FAC(in id long varchar, in name long varchar, in description long varchar, in migration_cost double, in priority integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_FAC' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_FAC
db2 create procedure SP_D_FAC(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_FAC' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_FAC
db2 create procedure SP_S_FAC(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_FAC' language c deterministic parameter style general with nulls

echo ****************  FACTORS STP BUILD FINISH   *********************
:done