@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  GEO STP BUILD START   *********************

db2 drop procedure SP_I_GEO
db2 create procedure SP_I_GEO(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_GEO' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_GEO
db2 create procedure SP_U_GEO(in id long varchar, in name long varchar, in description long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_GEO' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_GEO
db2 create procedure SP_D_GEO(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_GEO' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_GEO
db2 create procedure SP_S_GEO(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_GEO' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_RES_GEO
db2 create procedure SP_A_RES_GEO(in resource_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_RES_GEO' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_RES_GEO
db2 create procedure SP_UA_RES_GEO(in resource_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UA_RES_GEO' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_RES_A_GEO
db2 create procedure SP_S_RES_A_GEO(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_RES_A_GEO' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_ASSET_GEO
db2 create procedure SP_A_ASSET_GEO(in resource_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_ASSET_GEO' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_ASSET_GEO
db2 create procedure SP_UA_ASSET_GEO(in resource_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UA_ASSET_GEO' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_ASSET_A_GEO
db2 create procedure SP_S_ASSET_A_GEO(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_ASSET_A_GEO' language c deterministic parameter style general with nulls

echo ****************  GEO STP BUILD FINISH   *********************
:done
