@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  MOVE_COPY_WBS STP BUILD START  *********************

echo ***  procedure SP_C_WBS_MSP  ***
db2 drop procedure SP_C_WBS_MSP
db2 create procedure SP_C_WBS_MSP(in target_id long varchar, in source_id long varchar, in bits integer, in rec_user long varchar, in ieflag integer) external name '%procdir%%DB%!SP_C_WBS_MSP' language c deterministic parameter style general with nulls

echo ***  procedure SP_M_WBS_MSP  ***
db2 drop procedure SP_M_WBS_MSP
db2 create procedure SP_M_WBS_MSP(in target_id long varchar, in source_id long varchar, in bits integer, in rec_user long varchar, in ieflag integer) external name '%procdir%%DB%!SP_M_WBS_MSP' language c deterministic parameter style general with nulls

echo ***  procedure SP_C_WBS  ***
db2 drop procedure SP_C_WBS
db2 create procedure SP_C_WBS(in target_id long varchar, in source_id long varchar, in bits integer, in rec_user long varchar) external name '%procdir%%DB%!SP_C_WBS' language c deterministic parameter style general with nulls

echo ***  procedure SP_M_WBS  ***
db2 drop procedure SP_M_WBS
db2 create procedure SP_M_WBS(in target_id long varchar, in source_id long varchar, in bits integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_WBS' language c deterministic parameter style general with nulls

db2 drop procedure SP_ROLLUP_BUDGET
db2 create procedure SP_ROLLUP_BUDGET(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_ROLLUP_BUDGET' language c deterministic parameter style general with nulls

echo ****************  MOVE_COPY_WBS STP BUILD FINISH  *********************
