@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%


echo ****************  ORG STP BUILD START   *********************

db2 drop procedure SP_I_ORG
db2 create procedure SP_I_ORG(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_ORG' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ORG
db2 create procedure SP_U_ORG(in id long varchar, in name long varchar, in description long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ORG' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_ORG
db2 create procedure SP_D_ORG(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_ORG' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_ORG
db2 create procedure SP_S_ORG(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_ORG' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_FS_ORG
db2 create procedure SP_S_FS_ORG(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_FS_ORG' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_RES_ORG
db2 create procedure SP_A_RES_ORG(in resource_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_RES_ORG' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_RES_ORG
db2 create procedure SP_UA_RES_ORG(in resource_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UA_RES_ORG' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_RES_A_ORG
db2 create procedure SP_S_RES_A_ORG(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_RES_A_ORG' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_FS_ORG
db2 create procedure SP_U_FS_ORG(in id long varchar, in fs_code long varchar, in element_name long varchar, in parent_id long varchar, in type_id integer, in status long varchar, in flag integer, in rec_user long varchar ) external name '%procdir%%DB%!SP_U_FS_ORG' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_FS_REPOSITORY
db2 create procedure SP_U_FS_REPOSITORY(in id long varchar, in repository_list long varchar, in rec_user long varchar ) external name '%procdir%%DB%!SP_U_FS_REPOSITORY' language c deterministic parameter style general with nulls

db2 drop procedure SP_FS_ORG_SRCH
db2 create procedure SP_FS_ORG_SRCH(in type_id integer, in parent_id long varchar, in short_filter_string long varchar, in filter_type integer) external name '%procdir%%DB%!SP_FS_ORG_SRCH' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_ORG
db2 create procedure SP_M_ORG(in target long varchar, in source long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_ORG' language c deterministic parameter style general with nulls


echo ****************  ORG STP BUILD FINISH   *********************
:done
