@echo off
set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

REM ********************************************* BEGIN *****************************************************
echo ****************  VIEWS STP BUILD START   *********************

db2 DROP PROCEDURE SP_RESOURCE_PIVOT
db2 CREATE PROCEDURE SP_RESOURCE_PIVOT(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_RESOURCE_PIVOT' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_PVT_DEMAND_SUPPLY_LEVEL
db2 CREATE PROCEDURE SP_PVT_DEMAND_SUPPLY_LEVEL(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_PVT_DEMAND_SUPPLY_LEVEL' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_UTILIZATION_POOL
db2 CREATE PROCEDURE SP_UTILIZATION_POOL(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_UTILIZATION_POOL' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_PVT_RES_UTIL_POOL_M
db2 CREATE PROCEDURE SP_PVT_RES_UTIL_POOL_M(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_PVT_RES_UTIL_POOL_M' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_PVT_RES_UTIL_POOL
db2 CREATE PROCEDURE SP_PVT_RES_UTIL_POOL(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_PVT_RES_UTIL_POOL' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_UTILIZATION_PROJECT
db2 CREATE PROCEDURE SP_UTILIZATION_PROJECT(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_UTILIZATION_PROJECT' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_PVT_RES_UTIL_PROJECT_M
db2 CREATE PROCEDURE SP_PVT_RES_UTIL_PROJECT_M(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_PVT_RES_UTIL_PROJECT_M' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_PVT_RES_UTIL_PROJECT
db2 CREATE PROCEDURE SP_PVT_RES_UTIL_PROJECT(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_PVT_RES_UTIL_PROJECT' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_PVT_TIMESHEET_POOL
db2 CREATE PROCEDURE SP_PVT_TIMESHEET_POOL(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_PVT_TIMESHEET_POOL' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_PVT_TIMESHEET_PROJECT
db2 CREATE PROCEDURE SP_PVT_TIMESHEET_PROJECT(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_PVT_TIMESHEET_PROJECT' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_PVT_PROJECT_RTF
db2 CREATE PROCEDURE SP_PVT_PROJECT_RTF(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_PVT_PROJECT_RTF' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_PVT_PROJECT_CLIENTS
db2 CREATE PROCEDURE SP_PVT_PROJECT_CLIENTS(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_PVT_PROJECT_CLIENTS' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_PVT_PROJECT_RESOURCES
db2 CREATE PROCEDURE SP_PVT_PROJECT_RESOURCES(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_PVT_PROJECT_RESOURCES' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_PVT_PROJECT_SCORECARDS
db2 CREATE PROCEDURE SP_PVT_PROJECT_SCORECARDS(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_PVT_PROJECT_SCORECARDS' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_PVT_PROJECT_FINANCIAL
db2 CREATE PROCEDURE SP_PVT_PROJECT_FINANCIAL(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_PVT_PROJECT_FINANCIAL' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

REM *********************************************  END  *****************************************************

echo ****************  VIEWS STP BUILD FINISH   *********************
:done

