@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  FUNCTION BUILD START   *********************

db2 drop function CAL_DURATION

db2 drop function BIT_OR
db2 create function BIT_OR(INT,INT) returns int no sql no external action language c deterministic parameter style db2sql external name '%DB%!BIT_OR'  NOT FENCED ALLOW PARALLEL

db2 drop function TOBASE64
db2 create function TOBASE64(varchar(196),INT) returns varchar(196) no sql no external action language c deterministic parameter style db2sql external name '%DB%!TOBASE64'  NOT FENCED ALLOW PARALLEL

db2 drop function INCBASE64
db2 create function INCBASE64(varchar(196),INT) returns varchar(196) no sql no external action language c deterministic parameter style db2sql external name '%DB%!INCBASE64'  NOT FENCED ALLOW PARALLEL

db2 drop function BIT_AND
db2 create function BIT_AND(INT,INT) returns int no sql no external action language c deterministic parameter style db2sql external name '%DB%!BIT_AND'  NOT FENCED ALLOW PARALLEL

db2 drop function BIT_ANDNOT
db2 create function BIT_ANDNOT(INT,INT) returns int no sql no external action language c deterministic parameter style db2sql external name '%DB%!BIT_ANDNOT'  NOT FENCED ALLOW PARALLEL

db2 drop function RANK_LIKE
db2 create function RANK_LIKE(varchar(128),varchar(128)) returns int no sql no external action language c deterministic parameter style db2sql external name '%DB%!RANK_LIKE'  NOT FENCED ALLOW PARALLEL

db2 drop function BIT_NOT
db2 CREATE FUNCTION BIT_NOT(INTEGER) RETURNS INTEGER EXTERNAL NAME '%DB%!BIT_NOT' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function GET_UNIQUE_ID
db2 CREATE FUNCTION GET_UNIQUE_ID() RETURNS CHAR(32) EXTERNAL NAME '%DB%!GET_UNIQUE_ID' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function ENCODE_DATES
db2 CREATE FUNCTION ENCODE_DATES(time , time , time , time , time , time ,time , time , time ,time ) RETURNS CHAR(36) EXTERNAL NAME '%DB%!ENCODE_DATES' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function AVAILABLE
db2 CREATE FUNCTION AVAILABLE(char(36), char(36)) RETURNS int EXTERNAL NAME '%DB%!AVAILABLE' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function IS_AVAILABLE
db2 CREATE FUNCTION IS_AVAILABLE(int, char(36)) RETURNS int EXTERNAL NAME '%DB%!IS_AVAILABLE' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function AVAILABLE_4_DAY
db2 CREATE FUNCTION AVAILABLE_4_DAY(time, time, char(36)) RETURNS int EXTERNAL NAME '%DB%!AVAILABLE_4_DAY' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function AVAILABLE_4_DAY_2
db2 CREATE FUNCTION AVAILABLE_4_DAY_2(time, time, char(36), char(36)) RETURNS int EXTERNAL NAME '%DB%!AVAILABLE_4_DAY_2' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function TOTAL_DAY
db2 CREATE FUNCTION TOTAL_DAY(varchar(36) for bit data) RETURNS int EXTERNAL NAME '%DB%!TOTAL_DAY' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function TOTAL_DAY_2
db2 CREATE FUNCTION TOTAL_DAY_2(varchar(36) for bit data, varchar(36) for bit data) RETURNS int EXTERNAL NAME '%DB%!TOTAL_DAY_2' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function BIT_AND_DAY
db2 CREATE FUNCTION BIT_AND_DAY(varchar(36) for bit data, varchar(36) for bit data) RETURNS VARCHAR(36) for bit data EXTERNAL NAME '%DB%!BIT_AND_DAY' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function BIT_ANDNOT_DAY
db2 CREATE FUNCTION BIT_ANDNOT_DAY(varchar(36) for bit data, varchar(36) for bit data) RETURNS VARCHAR(36) for bit data EXTERNAL NAME '%DB%!BIT_ANDNOT_DAY' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function BIT_OR_DAY
db2 CREATE FUNCTION BIT_OR_DAY(varchar(36) for bit data, varchar(36) for bit data) RETURNS varchar(36) for bit data EXTERNAL NAME '%DB%!BIT_OR_DAY' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function BIT_EXOR_DAY
db2 CREATE FUNCTION BIT_EXOR_DAY(varchar(36) for bit data, varchar(36) for bit data) RETURNS varchar(36) for bit data EXTERNAL NAME '%DB%!BIT_EXOR_DAY' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function FIRST_AVAIL_TIME
db2 CREATE FUNCTION FIRST_AVAIL_TIME(varchar(36) for bit data) RETURNS varchar(9) EXTERNAL NAME '%DB%!FIRST_AVAIL_TIME' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function FIRST_AVAIL_TIME_2
db2 CREATE FUNCTION FIRST_AVAIL_TIME_2(varchar(36) for bit data, varchar(36) for bit data) RETURNS varchar(9) EXTERNAL NAME '%DB%!FIRST_AVAIL_TIME_2' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function LAST_AVAIL_TIME
db2 CREATE FUNCTION LAST_AVAIL_TIME(varchar(36) for bit data) RETURNS varchar(9) EXTERNAL NAME '%DB%!LAST_AVAIL_TIME' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function LAST_AVAIL_TIME_2
db2 CREATE FUNCTION LAST_AVAIL_TIME_2(varchar(36) for bit data, varchar(36) for bit data) RETURNS varchar(9) EXTERNAL NAME '%DB%!LAST_AVAIL_TIME_2' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function TIME_BFORE_SCHED
db2 CREATE FUNCTION TIME_BFORE_SCHED(integer, varchar(36) for bit data) RETURNS varchar(9) EXTERNAL NAME '%DB%!TIME_BFORE_SCHED' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function TIME_BFORE_SCHED_2
db2 CREATE FUNCTION TIME_BFORE_SCHED_2(integer, varchar(36) for bit data, varchar(36) for bit data) RETURNS varchar(9) EXTERNAL NAME '%DB%!TIME_BFORE_SCHED_2' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function TIME_AFTER_SCHED
db2 CREATE FUNCTION TIME_AFTER_SCHED(integer, varchar(36) for bit data) RETURNS varchar(9) EXTERNAL NAME '%DB%!TIME_AFTER_SCHED' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function TIME_AFTER_SCHED_2
db2 CREATE FUNCTION TIME_AFTER_SCHED_2(integer, varchar(36) for bit data, varchar(36) for bit data) RETURNS varchar(9) EXTERNAL NAME '%DB%!TIME_AFTER_SCHED_2' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function PRINT_TIMES
db2 CREATE FUNCTION PRINT_TIMES(varchar(36) for bit data) RETURNS varchar(400) EXTERNAL NAME '%DB%!PRINT_TIMES' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function COUNTER
db2 CREATE FUNCTION COUNTER() RETURNS INT SCRATCHPAD NOT FENCED NOT DETERMINISTIC NO SQL NO EXTERNAL ACTION LANGUAGE C PARAMETER STYLE DB2SQL EXTERNAL NAME '%DB%!ctr'

db2 drop function DURATION_SF
db2 CREATE FUNCTION DURATION_SF(varchar(36) for bit data, time, time) RETURNS INT EXTERNAL NAME '%DB%!DURATION_SF' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function DURATION_S
db2 CREATE FUNCTION DURATION_S(varchar(36) for bit data, time) RETURNS INT EXTERNAL NAME '%DB%!DURATION_S' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function DURATION_F
db2 CREATE FUNCTION DURATION_F(varchar(36) for bit data, time) RETURNS INT EXTERNAL NAME '%DB%!DURATION_F' LANGUAGE C PARAMETER STYLE DB2SQL DETERMINISTIC NO SQL NO EXTERNAL ACTION  NOT FENCED ALLOW PARALLEL

db2 drop function BASE_64_TO_INT
db2 create function BASE_64_TO_INT(varchar(4)) RETURNS varchar(10) no sql no external action language c deterministic parameter style db2sql external name '%DB%!BASE_64_TO_INT'  NOT FENCED ALLOW PARALLEL

db2 "CREATE FUNCTION CAL_DURATION(project_id char(32),start timestamp,finish timestamp)RETURNS INT LANGUAGE SQL READS SQL DATA NO EXTERNAL ACTION DETERMINISTIC RETURN VALUES (CASE WHEN JULIAN_DAY(finish) > JULIAN_DAY(start) THEN COALESCE( (SELECT COALESCE(DURATION_S(BIT_SCHED, TIME(start)), 0) FROM CALENDAR_DAY_OF_YEAR WHERE ELEMENT_ID = project_id AND DAY_YEAR = DATE(start)), 0 ) + COALESCE( (SELECT COALESCE(SUM(AVAILABLE_MIN), 0) FROM CALENDAR_DAY_OF_YEAR WHERE ELEMENT_ID = project_id AND DAY_YEAR BETWEEN DATE(start) + 1 DAYS AND DATE(finish) - 1 DAYS), 0 ) + COALESCE( (SELECT COALESCE(DURATION_F(BIT_SCHED, TIME(finish)), 0) FROM CALENDAR_DAY_OF_YEAR WHERE ELEMENT_ID = project_id AND DAY_YEAR = DATE(finish)), 0 )ELSE COALESCE( (SELECT COALESCE(DURATION_SF(BIT_SCHED, TIME(start), TIME(finish)), 0) FROM CALENDAR_DAY_OF_YEAR WHERE ELEMENT_ID = project_id AND DAY_YEAR = DATE(start)), 0 )END)"
echo ****************  FUNCTION BUILD FINISH   *********************
:done
