@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%


echo ****************  POOL REFERENCES STP BUILD START   *********************

db2 drop procedure SP_I_POOL_REF
db2 create procedure SP_I_POOL_REF(in company_name long varchar, in pool_id long varchar,in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_POOL_REF' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_POOL_REF
db2 create procedure SP_U_POOL_REF(in element_id long varchar, in company_name long varchar, in address long varchar, in phone long varchar, in fax long varchar, in website long varchar, in company_size long varchar , in contact_name long varchar, in contact_phone long varchar, in contact_fax long varchar, in contact_email long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_POOL_REF' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_POOL_REF
db2 create procedure SP_D_POOL_REF(in id long varchar, in parent_id long varchar,  in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_POOL_REF' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_POOL_REF
db2 create procedure SP_S_POOL_REF(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_POOL_REF' language c deterministic parameter style general with nulls

echo ****************  POOL REFERENCES STP BUILD FINISH   *********************
:done
