@echo off
REM ******************************* PROJECTS STPBUILD BATCH FILE         **********************************
rem
rem Copyright 2000 Systemcorp - PMI All rights reserved. Made in Canada.
rem
rem                                                                                                      *

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%


REM ********************************************* BEGIN *****************************************************


 
echo ****************  REPORT STP BUILD START   *********************

rem echo  SP_S_REPORT
rem db2 drop procedure SP_S_REPORT
rem db2 create procedure SP_S_REPORT(in project_id long varchar, in bits_id integer) external name '%procdir%%DB%!SP_S_REPORT' language c deterministic parameter style general with nulls

rem echo  SP_S_REPORT_COL_TYPE
rem db2 drop procedure SP_S_REPORT_COL_TYPE
rem db2 create procedure SP_S_REPORT_COL_TYPE(in project_id long varchar, in bits_id integer) external name '%procdir%%DB%!SP_S_REPORT_COL_TYPE' language c deterministic parameter style general with nulls

echo  SP_CHK_PERMISSION
db2 drop procedure SP_CHK_PERMISSION
db2 create procedure SP_CHK_PERMISSION(in project_id long varchar, in bits_id integer) external name '%procdir%%DB%!SP_CHK_PERMISSION' language c deterministic parameter style general with nulls

echo  SP_S_PD
db2 drop procedure SP_S_PD
db2 create procedure SP_S_PD(in id long varchar, in bit integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_PD' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_REPORT_SEC
db2 create procedure SP_I_REPORT_SEC(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_REPORT_SEC' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_REPORT_SEC
db2 create procedure SP_U_REPORT_SEC(in id long varchar, in name long varchar, in url long varchar, in element_type integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_REPORT_SEC' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_REPORT_SEC
db2 create procedure SP_D_REPORT_SEC(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_REPORT_SEC' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_REPORT_SEC
db2 create procedure SP_S_REPORT_SEC(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_REPORT_SEC' language c deterministic parameter style general with nulls

db2 drop procedure SP_GET_REPORT_LIST
db2 create procedure SP_GET_REPORT_LIST(in id long varchar, in resource_id long varchar, in type_id integer) external name '%procdir%%DB%!SP_GET_REPORT_LIST' language c deterministic parameter style general with nulls

db2 drop procedure SP_TASK_STATUS_RPT
db2 create procedure SP_TASK_STATUS_RPT(in tree_type integer, in id long varchar, in resource_id long varchar, in period_from long varchar, in period_to long varchar, in report_date long varchar, in consider integer, in bitflag integer) external name '%procdir%%DB%!SP_TASK_STATUS_RPT' language c deterministic parameter style general with nulls

db2 drop procedure SP_EFFORT_REPORT
db2 create procedure SP_EFFORT_REPORT(in id long varchar, in start_date long varchar, in end_date long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_EFFORT_REPORT' language c deterministic parameter style general with nulls


REM ************************************** MISSING FUNCTIONS BEGIN ******************************************
REM **************************************  MISSING FUNCTIONS END  ******************************************

REM   20 Stored procedures  in this bath file.

REM *********************************************  END  *****************************************************


echo ****************  PROJECTS STP BUILD FINISH   *********************
:done

