@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  SCORECARD STP BUILD START   *********************

db2 drop procedure SP_S_SCORECARD
db2 create procedure SP_S_SCORECARD(in table_type integer, in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_SCORECARD' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_SCORECARD
db2 create procedure SP_I_SCORECARD(in table_type integer, in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_SCORECARD' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_SCORECARD
db2 create procedure SP_U_SCORECARD(in table_type integer, in id long varchar, in name long varchar, in description long varchar, in probability_type integer, in report_flag integer, in rec_user long varchar ) external name '%procdir%%DB%!SP_U_SCORECARD' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_SC_DEFAULT
db2 create procedure SP_U_SC_DEFAULT(in table_type integer, in id long varchar, in default_answer long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_SC_DEFAULT' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_SC_WEIGHT
db2 create procedure SP_U_SC_WEIGHT(in table_type integer, in id long varchar, in weight integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_SC_WEIGHT' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_SCORECARD
db2 create procedure SP_D_SCORECARD(in table_type integer, in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_SCORECARD' language c deterministic parameter style general with nulls

echo ****************  SCORECARD STP BUILD FINISH   *********************
:done
