@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  ATTRIBUTE STP BUILD START   *********************

db2 drop procedure SP_S_SC
db2 create procedure SP_S_SC(p_table_type integer, p_sp_id integer, p_id long varchar, p_resource_id long varchar, p_name long varchar, p_filter_string long varchar, p_filter_count integer, p_type integer, p_active_record integer, p_stage_id integer) external name '%procdir%%DB%!SP_S_SC' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_SC_DETAIL
db2 create procedure SP_S_SC_DETAIL(p_table_type integer, p_sp_id integer, p_id long varchar, p_resource_id long varchar, p_name long varchar, p_filter_string long varchar, p_filter_count integer, p_type integer, p_active_record integer, p_stage_id integer) external name '%procdir%%DB%!SP_S_SC_DETAIL' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_SC 
db2 create procedure SP_I_SC(p_table integer, p_name long varchar, p_parent_id long varchar, p_foreign_id long varchar, p_type_id integer, p_rec_user long varchar) external name '%procdir%%DB%!SP_I_SC' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_SC_NAME
db2 create procedure SP_U_SC_NAME(p_id long varchar, p_name long varchar, p_rec_user long varchar) external name '%procdir%%DB%!SP_U_SC_NAME' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_SC_ACTIVE
db2 create procedure SP_U_SC_ACTIVE(p_id long varchar, p_active long varchar, p_rec_user long varchar) external name '%procdir%%DB%!SP_U_SC_ACTIVE' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_SC_DETAILS
db2 create procedure SP_U_SC_DETAILS(in id long varchar, in private long varchar, p_stage_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_SC_DETAILS' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_SC
db2 create procedure SP_D_SC(p_table integer, p_id long varchar, p_parent_id long varchar, p_del_flag long varchar, p_rec_user long varchar) external name '%procdir%%DB%!SP_D_SC' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_SC_REVISION
db2 create procedure SP_S_SC_REVISION(p_id long varchar, p_bitflag integer) external name '%procdir%%DB%!SP_S_SC_REVISION' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_SC_REVISION
db2 create procedure SP_U_SC_REVISION(p_id long varchar, p_bitflag integer, p_rev_impact integer, p_rev_type integer, p_rev_history long varchar, p_rec_user long varchar) external name '%procdir%%DB%!SP_U_SC_REVISION' language c deterministic parameter style general with nulls

db2 drop procedure SP_CKIN_ALL_SC
db2 create procedure SP_CKIN_ALL_SC(p_id long varchar, p_bitflag integer, p_rec_user long varchar) external name '%procdir%%DB%!SP_CKIN_ALL_SC' language c deterministic parameter style general with nulls

db2 drop procedure SP_CHECK_IN_SC
db2 create procedure SP_CHECK_IN_SC(p_table integer, p_id long varchar, p_bitflag integer, p_rec_user long varchar) external name '%procdir%%DB%!SP_CHECK_IN_SC' language c deterministic parameter style general with nulls

db2 drop procedure SP_CHECK_OUT_SC
db2 create procedure SP_CHECK_OUT_SC(p_table integer, p_id long varchar, p_bitflag integer, p_rec_user long varchar) external name '%procdir%%DB%!SP_CHECK_OUT_SC' language c deterministic parameter style general with nulls

db2 drop procedure SP_UNDO_SC
db2 create procedure SP_UNDO_SC(p_table integer, p_id long varchar, p_bitflag integer, p_rec_user long varchar) external name '%procdir%%DB%!SP_UNDO_SC' language c deterministic parameter style general with nulls

db2 drop procedure SP_ISOUT_SC
db2 create procedure SP_ISOUT_SC(p_table integer, p_id long varchar, p_rec_user long varchar) external name '%procdir%%DB%!SP_ISOUT_SC' language c deterministic parameter style general with nulls


db2 drop procedure SP_S_A_SC
db2 create procedure SP_S_A_SC(p_table_type integer, p_id long varchar, p_bitflag integer) external name '%procdir%%DB%!SP_S_A_SC' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_A_SC_440
db2 create procedure SP_S_A_SC_440(p_table_type integer, p_project_id long varchar, p_id long varchar, p_bitflag integer) external name '%procdir%%DB%!SP_S_A_SC_440' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_SC
db2 create procedure SP_A_SC(p_table_type integer, p_id long varchar, p_scorecard_id long varchar, p_rec_user long varchar) external name '%procdir%%DB%!SP_A_SC' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_SC_440
db2 create procedure SP_A_SC_440(p_table_type integer, p_project_id long varchar, p_id long varchar, p_scorecard_id long varchar, p_rec_user long varchar) external name '%procdir%%DB%!SP_A_SC_440' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_SC
db2 create procedure SP_UA_SC(p_table_type integer, p_id long varchar, p_scorecard_id long varchar, p_rec_user long varchar) external name '%procdir%%DB%!SP_UA_SC' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_SC_ANS
db2 create procedure SP_S_SC_ANS(p_table_type integer, p_id long varchar, p_bitflag integer) external name '%procdir%%DB%!SP_S_SC_ANS' language c deterministic parameter style general with nulls

db2 drop procedure SP_ANS_SC
db2 create procedure SP_ANS_SC(p_table_type integer, p_id long varchar, p_answer_id long varchar, p_description long varchar, p_report_flag integer, p_bitflag integer, p_rec_user long varchar) external name '%procdir%%DB%!SP_ANS_SC' language c deterministic parameter style general with nulls

db2 drop procedure SP_PUB_SC
db2 create procedure SP_PUB_SC(p_table_type integer, p_id long varchar, p_rec_user long varchar) external name '%procdir%%DB%!SP_PUB_SC' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_SC_QNA
db2 create procedure SP_S_SC_QNA(p_id long varchar, p_bitflag integer, p_rec_user long varchar) external name '%procdir%%DB%!SP_S_SC_QNA' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_SC_BY_VER
db2 create procedure SP_S_SC_BY_VER(p_id long varchar, p_bitflag integer, p_rec_user long varchar) external name '%procdir%%DB%!SP_S_SC_BY_VER' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_SC
db2 create procedure SP_M_SC(in table_type integer, in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_SC' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_SC_DEFAULT
db2 create procedure SP_S_SC_DEFAULT(in table_type integer, in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_SC_DEFAULT' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_SC_DEFAULT
db2 create procedure SP_I_SC_DEFAULT(p_table_type integer, p_id long varchar, p_scorecard_id long varchar, p_rec_user long varchar) external name '%procdir%%DB%!SP_I_SC_DEFAULT' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_SC_DEFAULT
db2 create procedure SP_D_SC_DEFAULT(p_table_type integer, p_id long varchar, p_scorecard_id long varchar, p_rec_user long varchar) external name '%procdir%%DB%!SP_D_SC_DEFAULT' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_SCD_PIVOT
db2 create procedure SP_S_SCD_PIVOT(p_id long varchar, p_table_type integer, p_start_date long varchar, p_finish_date long varchar, p_rec_user long varchar) external name '%procdir%%DB%!SP_S_SCD_PIVOT' language c deterministic parameter style general with nulls

echo ****************  ATTRIBUTE STP BUILD FINISH   *********************
:done
