@echo off
set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

REM ********************************************* BEGIN *****************************************************

echo ****************  SECURITY STP BUILD START   *********************

echo  SP_I_SECURITY
db2 drop procedure SP_I_SECURITY
db2 create procedure SP_I_SECURITY(in name long varchar, in parent_id long varchar, in type integer, in rec_user long varchar ) external name '%procdir%%DB%!SP_I_SECURITY' language c deterministic parameter style general with nulls

echo  SP_U_SECURITY
db2 drop procedure SP_U_SECURITY
db2 create procedure SP_U_SECURITY(in id long varchar, in int_1 integer, in int_2 integer, in int_3 integer, in int_4 integer, in int_5 integer, in int_6 integer, in int_7 integer, in int_8 integer, in int_9 integer, in int_10 integer, in int_11 integer, in int_12 integer, in int_13 integer, in int_14 integer, in int_15 integer, in int_16 integer, in int_17 integer, in int_18 integer, in int_19 integer, in int_20 integer, in int_21 integer, in int_22 integer, in int_23 integer, in int_24 integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_SECURITY' language c deterministic parameter style general with nulls

echo  SP_U_NTF_SECURITY
db2 drop procedure SP_U_NTF_SECURITY
db2 create procedure SP_U_NTF_SECURITY(in id long varchar, in noti1 integer, in noti2 integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_NTF_SECURITY' language c deterministic parameter style general with nulls

echo  SP_U_SECU_NAME
db2 drop procedure SP_U_SECU_NAME
db2 create procedure SP_U_SECU_NAME(in id long varchar, in name long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_SECU_NAME' language c deterministic parameter style general with nulls

echo  SP_S_SECURITY
db2 drop procedure SP_S_SECURITY
db2 create procedure SP_S_SECURITY(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_SECURITY' language c deterministic parameter style general with nulls

echo  SP_D_SECURITY
db2 drop procedure SP_D_SECURITY
db2 create procedure SP_D_SECURITY(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_SECURITY' language c deterministic parameter style general with nulls

REM   6 Stored procedures  in this bath file.

REM *********************************************  END  *****************************************************


echo ****************  SECURITY STP BUILD FINISH   *********************
:done

