@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  SETTING STP BUILD START   *********************

db2 drop procedure SP_U_SETTING
db2 create procedure SP_U_SETTING(in id long varchar, in values integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_SETTING' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_SETTING_DESC
db2 create procedure SP_U_SETTING_DESC(in id long varchar, in description long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_SETTING_DESC' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_SETTING
db2 create procedure SP_S_SETTING(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_SETTING' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_WEEKOF
db2 create procedure SP_S_WEEKOF(in weekof long varchar) external name '%procdir%%DB%!SP_S_WEEKOF' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_PASS_MASK
db2 create procedure SP_U_PASS_MASK(in id long varchar, in mask long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_PASS_MASK' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_RES_DEFSECU
db2 create procedure SP_U_RES_DEFSECU(in id long varchar, in clearance_level_1 integer, in clearance_level_2 integer, in clearance_level_3 integer, in clearance_level_4 integer, in clearance_level_5 integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_RES_DEFSECU' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_FISCAL_CALENDAR
db2 create procedure SP_S_FISCAL_CALENDAR(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_FISCAL_CALENDAR' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_FISCAL_CALENDAR
db2 create procedure SP_U_FISCAL_CALENDAR(in id long varchar, in values long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_FISCAL_CALENDAR' language c deterministic parameter style general with nulls

db2 drop procedure SP_RESET_FISCAL_CALENDAR
db2 create procedure SP_RESET_FISCAL_CALENDAR(in id long varchar, in values long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_RESET_FISCAL_CALENDAR' language c deterministic parameter style general with nulls

echo ****************  SETTING STP BUILD FINISH   *********************
:done
