@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  TIMECODE STP BUILD START   *********************

db2 drop procedure SP_I_TIMECODE
db2 create procedure SP_I_TIMECODE(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_TIMECODE' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_TIMECODE
db2 create procedure SP_U_TIMECODE(in id long varchar, in name long varchar, in description long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_TIMECODE' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_TIMECODE
db2 create procedure SP_D_TIMECODE(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_TIMECODE' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_TIMECODE
db2 create procedure SP_S_TIMECODE(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_TIMECODE' language c deterministic parameter style general with nulls

db2 drop procedure SP_CB_TIMECODE
db2 create procedure SP_CB_TIMECODE(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_CB_TIMECODE' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_TC_WBS
db2 create procedure SP_A_TC_WBS(in element_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_TC_WBS' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_FS_TC_WBS
db2 create procedure SP_A_FS_TC_WBS(in element_id long varchar, in fs_code long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_FS_TC_WBS' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_TC_WBS
db2 create procedure SP_UA_TC_WBS(in element_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UA_TC_WBS' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_WBS_A_TC
db2 create procedure SP_S_WBS_A_TC(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_WBS_A_TC' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_TC_CRI
db2 create procedure SP_A_TC_CRI(in element_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_TC_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_TC_CRI
db2 create procedure SP_UA_TC_CRI(in element_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UA_TC_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_CRI_A_TC
db2 create procedure SP_S_CRI_A_TC(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_CRI_A_TC' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_FS_TIMECODE
db2 create procedure SP_U_FS_TIMECODE(in id long varchar, in fs_code long varchar, in element_name long varchar, in parent_id long varchar, in type_id integer, in flag integer, in rec_user long varchar ) external name '%procdir%%DB%!SP_U_FS_TIMECODE' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_WBS_TC
db2 create procedure SP_A_WBS_TC(in element_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_WBS_TC' language c deterministic parameter style general with nulls

echo ****************  TIMECODE STP BUILD FINISH   *********************
:done
