@echo off
set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

REM ********************************************* BEGIN *****************************************************

echo ****************  VIEWS STP BUILD START   *********************

REM ********************************************************************************/
REM sp_id identifies the type of the stored procedure
REM 1 = Projects/Deliverables/Tasks & Work Packages - FIRST Level
REM 2 = Projects/Deliverables/Tasks & Work Packages - NEXT  Level
REM 3 = Domain & Work Packages - NEXT Level
REM ********************************************************************************/
db2 drop procedure SP_WBS_VIEW
db2 create procedure SP_WBS_VIEW( in sp_id integer, in id long varchar, in resource_id long varchar, in name long varchar, in filter_string long varchar, in filter_count integer, in type integer, in active_record integer, in stage_id integer ) external name '%procdir%%DB%!SP_WBS_VIEW' language c deterministic parameter style general with nulls

db2 drop procedure SP_CRITERIA_SRCH
db2 create procedure SP_CRITERIA_SRCH(in type_id integer, in parent_id long varchar, in short_filter_string long varchar, in filter_type integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CRITERIA_SRCH' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_ARCH_PROJ
db2 create procedure SP_S_ARCH_PROJ(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_ARCH_PROJ' language c deterministic parameter style general with nulls


db2 drop procedure SP_MIGRATE_TPF
db2 create procedure SP_MIGRATE_TPF() external name '%procdir%%DB%!SP_MIGRATE_TPF' language c deterministic parameter style general with nulls




REM ************************************** MISSING FUNCTIONS BEGIN ******************************************

REM **************************************  MISSING FUNCTIONS END  ******************************************

REM   2 Stored procedures  in this batch file.

REM *********************************************  END  *****************************************************


echo ****************  VIEWS STP BUILD FINISH   *********************
:done

