@echo off
set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

REM ********************************************* BEGIN *****************************************************
echo ****************  VIEWS STP BUILD START   *********************

db2 DROP PROCEDURE SP_PORTFOLIO_ROI
db2 CREATE PROCEDURE SP_PORTFOLIO_ROI(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_PORTFOLIO_ROI' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_BB_YEAR_VIEW
db2 CREATE PROCEDURE SP_BB_YEAR_VIEW(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_BB_YEAR_VIEW' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_BB_MONTH_VIEW
db2 CREATE PROCEDURE SP_BB_MONTH_VIEW(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_BB_MONTH_VIEW' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_BB_PIVOT
db2 CREATE PROCEDURE SP_BB_PIVOT(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_BB_PIVOT' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_FINANCIAL_VIEW
db2 CREATE PROCEDURE SP_FINANCIAL_VIEW(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_FINANCIAL_VIEW' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_CUBE_BUDGETBREAKDOWN
db2 CREATE PROCEDURE SP_CUBE_BUDGETBREAKDOWN(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_CUBE_BUDGETBREAKDOWN' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_BB_CASHFLOW
db2 CREATE PROCEDURE SP_BB_CASHFLOW(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_BB_CASHFLOW' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_BB_MONTHLY_STATUS
db2 CREATE PROCEDURE SP_BB_MONTHLY_STATUS(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_BB_MONTHLY_STATUS' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_TASK_SCHEDULE
db2 CREATE PROCEDURE SP_TASK_SCHEDULE(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_TASK_SCHEDULE' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_MILESTONE_SCHEDULE
db2 CREATE PROCEDURE SP_MILESTONE_SCHEDULE(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_MILESTONE_SCHEDULE' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_COST_CENTERS_PIVOT
db2 CREATE PROCEDURE SP_COST_CENTERS_PIVOT(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_COST_CENTERS_PIVOT' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_CHARGEBACK_PIVOT
db2 CREATE PROCEDURE SP_CHARGEBACK_PIVOT(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_CHARGEBACK_PIVOT' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_UNION_PIVOT
db2 CREATE PROCEDURE SP_UNION_PIVOT(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_UNION_PIVOT' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_PIVOT_FEATURE_TESTER
db2 CREATE PROCEDURE SP_PIVOT_FEATURE_TESTER(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_PIVOT_FEATURE_TESTER' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

REM *********************************************  END  *****************************************************

echo ****************  VIEWS STP BUILD FINISH   *********************
:done

