@echo off
set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

REM ********************************************* BEGIN *****************************************************
echo ****************  VIEWS STP BUILD START   *********************

db2 drop procedure SP_RESOURCE_PIVOT_OLD
db2 create procedure SP_RESOURCE_PIVOT_OLD( in ids long varchar, in type integer, in start_date long varchar,  in finish_date long varchar, in rec_user long varchar ) external name '%procdir%%DB%!SP_RESOURCE_PIVOT_OLD' language c deterministic parameter style general with nulls

db2 drop procedure SP_UTILIZATION_POOL_OLD
db2 create procedure SP_UTILIZATION_POOL_OLD( in ids long varchar, in type integer, in start_date long varchar,  in finish_date long varchar, in rec_user long varchar ) external name '%procdir%%DB%!SP_UTILIZATION_POOL_OLD' language c deterministic parameter style general with nulls

db2 drop procedure SP_UTILIZATION_PROJECT_OLD
db2 create procedure SP_UTILIZATION_PROJECT_OLD( in ids long varchar, in type integer, in start_date long varchar,  in finish_date long varchar, in rec_user long varchar ) external name '%procdir%%DB%!SP_UTILIZATION_PROJECT_OLD' language c deterministic parameter style general with nulls

db2 drop procedure SP_UTIL_POOL_PIVOT
db2 create procedure SP_UTIL_POOL_PIVOT( in ids long varchar, in type integer, in start_date long varchar,  in finish_date long varchar, in rec_user long varchar ) external name '%procdir%%DB%!SP_UTIL_POOL_PIVOT' language c deterministic parameter style general with nulls

db2 drop procedure SP_UTIL_PROJ_PIVOT
db2 create procedure SP_UTIL_PROJ_PIVOT( in ids long varchar, in type integer, in start_date long varchar,  in finish_date long varchar, in rec_user long varchar ) external name '%procdir%%DB%!SP_UTIL_PROJ_PIVOT' language c deterministic parameter style general with nulls

db2 drop procedure SP_TIMESHEET_PIVOT
db2 create procedure SP_TIMESHEET_PIVOT( in ids long varchar, in type integer, in start_date long varchar,  in finish_date long varchar, in rec_user long varchar ) external name '%procdir%%DB%!SP_TIMESHEET_PIVOT' language c deterministic parameter style general with nulls

db2 drop procedure SP_TIMESHEET_PIVOT_ATTR
db2 create procedure SP_TIMESHEET_PIVOT_ATTR( in ids long varchar, in type integer, in start_date long varchar,  in finish_date long varchar, in attribute_id long varchar, in rec_user long varchar ) external name '%procdir%%DB%!SP_TIMESHEET_PIVOT_ATTR' language c deterministic parameter style general with nulls

db2 drop procedure SP_TIMESHEET_POOL
db2 create procedure SP_TIMESHEET_POOL( in ids long varchar, in type integer, in start_date long varchar,  in finish_date long varchar, in rec_user long varchar ) external name '%procdir%%DB%!SP_TIMESHEET_POOL' language c deterministic parameter style general with nulls

db2 drop procedure SP_TIMESHEET_POOL_ATTR
db2 create procedure SP_TIMESHEET_POOL_ATTR( in ids long varchar, in type integer, in start_date long varchar,  in finish_date long varchar, in attribute_id long varchar, in rec_user long varchar ) external name '%procdir%%DB%!SP_TIMESHEET_POOL_ATTR' language c deterministic parameter style general with nulls

db2 drop procedure SP_TIMESHEET_MISSING
db2 create procedure SP_TIMESHEET_MISSING( in ids long varchar, in type integer, in start_date long varchar,  in finish_date long varchar, in rec_user long varchar ) external name '%procdir%%DB%!SP_TIMESHEET_MISSING' language c deterministic parameter style general with nulls

db2 drop procedure SP_TIMESHEET_MISSING_2
db2 create procedure SP_TIMESHEET_MISSING_2( in ids long varchar, in type integer, in start_date long varchar,  in finish_date long varchar, in rec_user long varchar ) external name '%procdir%%DB%!SP_TIMESHEET_MISSING_2' language c deterministic parameter style general with nulls
db2 drop procedure SP_EV_REPORT
db2 create procedure SP_EV_REPORT( in ids long varchar, in type integer, in start_date long varchar,  in finish_date long varchar, in rec_user long varchar ) external name '%procdir%%DB%!SP_EV_REPORT' language c deterministic parameter style general with nulls

REM *********************************************  END  *****************************************************

echo ****************  VIEWS STP BUILD FINISH   *********************
:done

