	
@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  ALERTS STP BUILD START   *********************

db2 drop procedure SP_S_ALERT
db2 create procedure SP_S_ALERT(in bitflag integer) external name '%procdir%%DB%!SP_S_ALERT' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_ALERT
db2 create procedure SP_D_ALERT(in bitflag integer) external name '%procdir%%DB%!SP_D_ALERT' language c deterministic parameter style general with nulls

db2 drop procedure SP_CHECK_ALERT
db2 create procedure SP_CHECK_ALERT(in bitflag integer) external name '%procdir%%DB%!SP_CHECK_ALERT' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_PROJ_ALERT
db2 create procedure SP_A_PROJ_ALERT(in project_id long varchar, in alert_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_PROJ_ALERT' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_PROJ_ALERT
db2 create procedure SP_U_PROJ_ALERT(in alert_id long varchar, in project_id long varchar, in variance integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_PROJ_ALERT' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_PROJ_ALERT
db2 create procedure SP_S_PROJ_ALERT(in project_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_PROJ_ALERT' language c deterministic parameter style general with nulls

db2 drop procedure SP_AVAILABLE_ALERT
db2 create procedure SP_AVAILABLE_ALERT(in id long varchar, in lang_code long varchar, in bitflag integer) external name '%procdir%%DB%!SP_AVAILABLE_ALERT' language c deterministic parameter style general with nulls

db2 drop procedure SP_SEND_PERIODIC_ALERTS
db2 create procedure SP_SEND_PERIODIC_ALERTS(in bitflag integer, in rundate long varchar) external name '%procdir%%DB%!SP_SEND_PERIODIC_ALERTS' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_ALERT_CONFIG
db2 create procedure SP_S_ALERT_CONFIG(in alert_id long varchar, in lang_code long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_ALERT_CONFIG' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ALERT_CONFIG
db2 create procedure SP_U_ALERT_CONFIG(in alert_id long varchar, in lang_code long varchar, in client_message_pattern long varchar, in p_client_alert_name long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ALERT_CONFIG' language c deterministic parameter style general with nulls

echo ****************  NOTIFICATIONS STP BUILD FINISH   *********************
:done
