
@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  BUDGETS STP BUILD START   *********************

db2 drop procedure SP_S_A_BUDGET
db2 create procedure SP_S_A_BUDGET(in p_table_type integer, in p_element_id long varchar, in p_bitflag integer, in p_rec_user long varchar) external name '%procdir%%DB%!SP_S_A_BUDGET' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_BUDGET
db2 create procedure SP_A_BUDGET(in p_table_type integer, in p_element_id long varchar, in p_chargecode_id long varchar, in p_rec_user long varchar) external name '%procdir%%DB%!SP_A_BUDGET' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_BUDGET
db2 create procedure SP_U_BUDGET(in p_table_type integer, in p_budget_id long varchar, in p_auto_flag integer, in p_timephased_flag integer, in p_actual_timephased_flag integer, in p_prob_percent integer, in p_prob_amount double, in p_estimated_prob_amount double, in p_estimated_budget double, in p_estimated_actual double, in p_estimated_etc double, in p_estimated_paid_todate double, in p_contingency_budget double, in p_contingency_etc double, in p_budget double, in p_actual double, in p_etc double, in p_paid_todate double, in p_tolerance integer, in p_rec_user long varchar) external name '%procdir%%DB%!SP_U_BUDGET' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_TXT_BUDGET
db2 create procedure SP_U_TXT_BUDGET(in p_table_type integer, in p_budget_id long varchar, in p_txt_field_01 long varchar, in p_txt_field_02 long varchar, in p_txt_field_03 long varchar, in p_txt_field_04 long varchar, in p_txt_field_05 long varchar, in p_txt_field_06 long varchar, in p_txt_field_07 long varchar, in p_txt_field_08 long varchar, in p_txt_field_09 long varchar, in p_txt_field_10 long varchar, in p_rec_user long varchar) external name '%procdir%%DB%!SP_U_TXT_BUDGET' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_DATAFIELD_BUDGET
db2 create procedure SP_U_DATAFIELD_BUDGET(in p_table_type integer, in p_budget_id long varchar, in p_datafield_1 integer, in p_datafield_2 integer, in p_datafield_3 integer, in p_datafield_4 integer, in p_rec_user long varchar) external name '%procdir%%DB%!SP_U_DATAFIELD_BUDGET' language c deterministic parameter style general with nulls

db2 drop procedure SP_ACPT_BUDGET
db2 create procedure SP_ACPT_BUDGET(in p_id long varchar, in p_bitflag integer, in p_rec_user long varchar) external name '%procdir%%DB%!SP_ACPT_BUDGET' language c deterministic parameter style general with nulls

db2 drop procedure SP_RJCT_BUDGET
db2 create procedure SP_RJCT_BUDGET(in p_id long varchar, in p_bitflag integer, in p_rec_user long varchar) external name '%procdir%%DB%!SP_RJCT_BUDGET' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_TA_BILLABLE
db2 create procedure SP_U_TA_BILLABLE(in p_task_assignment_id long varchar, in p_billable integer, in p_capital_expense integer, in p_rec_user long varchar) external name '%procdir%%DB%!SP_U_TA_BILLABLE' language c deterministic parameter style general with nulls

echo ****************  BUDGETS STP BUILD FINISH   *********************
:done
