@echo off
set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  PROJECTS STP BUILD START   *********************

echo SP_CHANGE_OBJ_TYPE
db2 drop procedure SP_CHANGE_OBJ_TYPE
db2 create procedure SP_CHANGE_OBJ_TYPE(in bitflag integer, in source_id long varchar, in source_type integer, in target_id long varchar, in target_type integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CHANGE_OBJ_TYPE' language c deterministic parameter style general with nulls

echo SP_U_CRI_TYPE
db2 drop procedure SP_U_CRI_TYPE
db2 create procedure SP_U_CRI_TYPE(in id long varchar, in newType integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_TYPE' language c deterministic parameter style general with nulls


echo SP_U_STATE_DEF
db2 drop procedure SP_U_STATE_DEF
db2 create procedure SP_U_STATE_DEF(in project_id long varchar, in element_type long varchar, in stage_id integer, in assign_flag long varchar, in group_ids long varchar, in participant_ids long varchar, in security_ids long varchar, in subject long varchar, in message long varchar,  in group_names long varchar,  in participant_names long varchar,  in security_names long varchar, in variance integer) external name '%procdir%%DB%!SP_U_STATE_DEF' language c deterministic parameter style general with nulls


echo ****************  PROJECTS STP BUILD FINISH   *********************
:done

