@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  COMPET STP BUILD START   *********************

db2 drop procedure SP_I_COMPET
db2 create procedure SP_I_COMPET(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_COMPET' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_COMPET
db2 create procedure SP_U_COMPET(in id long varchar, in parent_id long varchar, in name long varchar, in description long varchar, in experience_id integer, in preference_level_id integer, in last_used_datetime long varchar, in last_used_location long varchar, in target_attainment_date long varchar, in acquired_on long varchar, in mandatory long varchar, in mandatory_details long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_COMPET' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_COMP_PROF
db2 create procedure SP_U_COMP_PROF(in id long varchar, in preference_level_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_COMP_PROF' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_COMPET_DF
db2 create procedure SP_U_COMPET_DF(in id long varchar, in parent_id long varchar, in default_flag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_COMPET_DF' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_COMPET_STRATEGIC
db2 create procedure SP_U_COMPET_STRATEGIC(in id long varchar, in strategic_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_COMPET_STRATEGIC' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_COMPET_RATE
db2 create procedure SP_U_COMPET_RATE(in id long varchar, in parent_id long varchar, in regular_cost double, in regular_sale double, in special_cost double, in special_sale double, in rec_user long varchar) external name '%procdir%%DB%!SP_U_COMPET_RATE' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_COMPET
db2 create procedure SP_D_COMPET(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_COMPET' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_ROLE
db2 create procedure SP_S_ROLE(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_ROLE' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_SKILL
db2 create procedure SP_S_SKILL(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_SKILL' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_RES_COMPET
db2 create procedure SP_A_RES_COMPET(in resource_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_RES_COMPET' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_RES_COMPET
db2 create procedure SP_UA_RES_COMPET(in resource_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UA_RES_COMPET' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_RES_A_ROLE
db2 create procedure SP_S_RES_A_ROLE(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_RES_A_ROLE' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_RES_A_SKILL
db2 create procedure SP_S_RES_A_SKILL(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_RES_A_SKILL' language c deterministic parameter style general with nulls

echo ****************  COMPET STP BUILD FINISH   *********************
:done
