@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  COST BACK STP BUILD START   *********************

db2 drop procedure SP_S_A_COSTBACK
db2 create procedure SP_S_A_COSTBACK(in p_project_id long varchar, in p_bitflag integer, in p_rec_user long varchar) external name '%procdir%%DB%!SP_S_A_COSTBACK' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_COSTBACK
db2 create procedure SP_A_COSTBACK(in p_project_id long varchar, in p_cost_center_id long varchar, in p_rec_user long varchar) external name '%procdir%%DB%!SP_A_COSTBACK' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_COSTBACK
db2 create procedure SP_UA_COSTBACK(in p_project_id long varchar, in p_cost_center_id long varchar, in p_rec_user long varchar) external name '%procdir%%DB%!SP_UA_COSTBACK' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_COSTBACK
db2 create procedure SP_U_COSTBACK(in p_costback_id long varchar, in p_labor_percent integer, in p_labor_amount double, in p_labor_flag integer, in p_expense_percent integer, in p_expense_amount double, in p_expense_flag integer, in p_capital_percent integer, in p_capital_amount double, in p_capital_flag integer, in p_rec_user long varchar ) external name '%procdir%%DB%!SP_U_COSTBACK' language c deterministic parameter style general with nulls

echo ****************  BUDGETS STP BUILD FINISH   *********************
:done
