@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  COSTS STP BUILD START   *********************

db2 drop procedure SP_AVAIL_BUDGET
db2 create procedure SP_AVAIL_BUDGET(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_AVAIL_BUDGET' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_COST
db2 create procedure SP_I_COST( in chargecode_id long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar ) external name '%procdir%%DB%!SP_I_COST' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_COST
db2 create procedure SP_U_COST( in id long varchar, in element_name long varchar, in tracking_number long varchar, in invoice_number long varchar, in invoice_datetime long varchar, in vendor long varchar, in location long varchar, in description long varchar, in payment_type_id integer, in currency_id integer, in exchange_rate double, in unit_price double, in quantity double, in tax1_amount double, in tax2_amount double, in actual_amount double, in budget_amount double, in forecast_amount double, in billable long varchar, in taxable long varchar, in reimburse long varchar, in status_id integer, in pda_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_COST' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_COST
db2 create procedure SP_D_COST(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_COST' language c deterministic parameter style general with nulls

echo ****************  COSTS STP BUILD FINISH   *********************
:done
