@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  DATAFIELD STP BUILD START   *********************

db2 drop procedure SP_I_DATAFIELD
db2 create procedure SP_I_DATAFIELD(in name long varchar, in description long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_DATAFIELD' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_DATAFIELD
db2 create procedure SP_U_DATAFIELD(in id long varchar, in name long varchar, in description long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_DATAFIELD' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_DATAFIELD
db2 create procedure SP_D_DATAFIELD(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_DATAFIELD' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_DATAFIELD
db2 create procedure SP_S_DATAFIELD(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_DATAFIELD' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_STATE_DEF
db2 create procedure SP_S_STATE_DEF(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_STATE_DEF' language c deterministic parameter style general with nulls

echo ****************  DATAFIELD STP BUILD FINISH   *********************
:done
