@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  DEPENDENCIES STP BUILD START   *********************

db2 drop procedure SP_A_DEPEND
db2 create procedure SP_A_DEPEND(in succ_id long varchar, in pred_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_DEPEND' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_DEPEND_MSP
db2 create procedure SP_A_DEPEND_MSP(in succ_id long varchar, in pred_id long varchar, in rec_user long varchar, in ieflag integer) external name '%procdir%%DB%!SP_A_DEPEND_MSP' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_DEPEND
db2 create procedure SP_U_DEPEND(in depend_id long varchar, in dep_type integer, in lead_or_lag_type integer, in amount double, in lag_display_unit integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_DEPEND' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_DEPEND_MSP
db2 create procedure SP_U_DEPEND_MSP(in depend_id long varchar, in dep_type integer, in lead_or_lag_type integer, in amount double, in lag_display_unit integer, in rec_user long varchar, in ieflag integer) external name '%procdir%%DB%!SP_U_DEPEND_MSP' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_DEPEND
db2 create procedure SP_UA_DEPEND(in succ_id long varchar, in depend_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UA_DEPEND' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_DEPEND_MSP
db2 create procedure SP_UA_DEPEND_MSP(in succ_id long varchar, in depend_id long varchar, in rec_user long varchar, in ieflag integer) external name '%procdir%%DB%!SP_UA_DEPEND_MSP' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_PRED
db2 create procedure SP_S_PRED(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_PRED' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_SUCC
db2 create procedure SP_S_SUCC(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_SUCC' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_WBS_A_DEPEND
db2 create procedure SP_S_WBS_A_DEPEND(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_WBS_A_DEPEND' language c deterministic parameter style general with nulls

db2 drop procedure SP_DEPEND_MSP
db2 create procedure SP_DEPEND_MSP(in id long varchar, in action_type integer, in succ_id long varchar, in pred_id long varchar, in dep_type integer, in lead_or_lag_type integer, in amount double, in lag_display_unit integer, in ieflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_DEPEND_MSP' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_CRIDEPEND
db2 create procedure SP_A_CRIDEPEND(in succ_id long varchar, in pred_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_CRIDEPEND' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRIDEPEND
db2 create procedure SP_U_CRIDEPEND(in depend_id long varchar, in dep_type integer, in lead_or_lag_type integer, in amount double, in lag_display_unit integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRIDEPEND' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_CRIDEPEND
db2 create procedure SP_UA_CRIDEPEND(in succ_id long varchar, in depend_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UA_CRIDEPEND' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_CRI_A_DEPEND
db2 create procedure SP_S_CRI_A_DEPEND(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_CRI_A_DEPEND' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_REQDEPEND
db2 create procedure SP_A_REQDEPEND(in succ_id long varchar, in pred_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_REQDEPEND' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_REQDEPEND
db2 create procedure SP_U_REQDEPEND(in depend_id long varchar, in dep_type integer, in lead_or_lag_type integer, in amount double, in lag_display_unit integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_REQDEPEND' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_REQDEPEND
db2 create procedure SP_UA_REQDEPEND(in succ_id long varchar, in depend_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UA_REQDEPEND' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_REQ_A_DEPEND
db2 create procedure SP_S_REQ_A_DEPEND(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_REQ_A_DEPEND' language c deterministic parameter style general with nulls

db2 drop procedure SP_FIND_CIRCULAR
db2 create procedure SP_FIND_CIRCULAR(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_FIND_CIRCULAR' language c deterministic parameter style general with nulls

echo ****************  DEPENDENCIES STP BUILD FINISH   *********************
:done

