
@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  FINANCIAL SYSTEM PMOR STP BUILD START   *********************

db2 drop procedure SP_U_FS_STATE
db2 create procedure SP_U_FS_STATE(in element_id long varchar, in to_state integer) external name '%procdir%%DB%!SP_U_FS_STATE' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_FS_WBS
db2 create procedure SP_I_FS_WBS(in element_name long varchar, in element_id long varchar, in type integer, in manager_id long varchar, in fs_code long varchar, in start_date long varchar, in finish_date long varchar, in currency_code long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_I_FS_WBS' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_FS_TASK
db2 create procedure SP_U_FS_TASK(in element_id long varchar, in fs_code long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_FS_TASK' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_FS_STATE
db2 create procedure SP_S_FS_STATE(in element_id long varchar, in state integer) external name '%procdir%%DB%!SP_S_FS_STATE' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_FS_DWI
db2 create procedure SP_A_FS_DWI(in element_id long varchar, in res_id long varchar) external name '%procdir%%DB%!SP_A_FS_DWI' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_FS_RES
db2 create procedure SP_U_FS_RES(in res_id long varchar, in first_name long varchar, in mid_name long varchar, in last_name long varchar, in full_name long varchar, in title long varchar, in email_addr long varchar, in work_phone long varchar, in alternate_phone long varchar, in fax_number long varchar, in cell_number long varchar, in pager_number long varchar, in currency_code long varchar, in notes_id long varchar, in effective_date long varchar, in discontinue_date long varchar, in iso_language_code long varchar, in fs_code long varchar, in fs_labor_code long varchar, in maxdayhours integer, in regular_cost double, in special_cost double, in rec_user long varchar) external name '%procdir%%DB%!SP_U_FS_RES' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_XML
db2 create procedure SP_D_XML(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_XML' language c deterministic parameter style general with nulls

db2 drop procedure SP_MRG_PBFS
db2 create procedure SP_MRG_PBFS(in p_target_id long varchar, in p_source_id long varchar, in p_bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_MRG_PBFS' language c deterministic parameter style general with nulls

drop procedure SP_SEND_RESOURCE

db2 create procedure SP_SEND_RESOURCE(in element_id long varchar) external name '%procdir%%DB%!SP_SEND_RESOURCE' language c deterministic parameter style general with nulls


echo ****************  FINANCIAL SYSTEM PMOR STP BUILD FINISH   *********************
:done