@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  NAB STP BUILD START   *********************

echo SP_I_NAB
db2 drop procedure SP_I_NAB
db2 create procedure SP_I_NAB(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_NAB' language c deterministic parameter style general with nulls

echo SP_U_NAB
db2 drop procedure SP_U_NAB
db2 create procedure SP_U_NAB(in id long varchar, in name long varchar, in host_name long varchar, in port integer, in channel long varchar, in flag long varchar, in admin_name long varchar, in admin_phone long varchar, in admin_e_mail long varchar, in comment long varchar, in reserved long varchar, in web_server_path long varchar, in user_notes long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_NAB' language c deterministic parameter style general with nulls

echo SP_D_NAB
db2 drop procedure SP_D_NAB
db2 create procedure SP_D_NAB(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_NAB' language c deterministic parameter style general with nulls

echo SP_S_NAB
db2 drop procedure SP_S_NAB
db2 create procedure SP_S_NAB(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_NAB' language c deterministic parameter style general with nulls

echo SP_S_XML_MONITOR
db2 drop procedure SP_S_XML_MONITOR
db2 create procedure SP_S_XML_MONITOR(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_XML_MONITOR' language c deterministic parameter style general with nulls

echo SP_FS_SEND
db2 drop procedure SP_FS_SEND
db2 create procedure SP_FS_SEND(in msg_id integer, in flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_FS_SEND' language c deterministic parameter style general with nulls

echo ****************  NAB STP BUILD FINISH   *********************
:done
