
@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  FINANCIAL SYSTEM PMOR STP BUILD START   *********************

db2 drop procedure SP_U_PO_CS
db2 create procedure SP_U_PO_CS(in element_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_PO_CS' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_PO_CS
db2 create procedure SP_S_PO_CS(in element_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_S_PO_CS' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_PO_CS_DOC
db2 create procedure SP_I_PO_CS_DOC(in element_id long varchar, in percent integer, in url_name long varchar, in url_address long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_I_PO_CS_DOC' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_PO_CS_CRI
db2 create procedure SP_I_PO_CS_CRI(in element_id long varchar, in occurred_dt long varchar, in proposed_by long varchar, in description long varchar, in target_date long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_I_PO_CS_CRI' language c deterministic parameter style general with nulls

echo ****************  FINANCIAL SYSTEM PMOR STP BUILD FINISH   *********************
:done