@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

REM ********************************************* BEGIN *****************************************************



echo ****************  RESOURCE STP BUILD START   *********************

echo  SP_FIND_RESOURCE
db2 drop procedure SP_FIND_RESOURCE
db2 create procedure SP_FIND_RESOURCE(in first_name long varchar, in bitflat integer, in last_name long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_FIND_RESOURCE' language c deterministic parameter style general with nulls

echo  SP_U_RES_CAL
db2 drop procedure SP_U_RES_CAL
db2 create procedure SP_U_RES_CAL(in resource_id long varchar, in calendar_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_RES_CAL' language c deterministic parameter style general with nulls

echo  SP_CKIN_RESOURCE
db2 drop procedure SP_CKIN_RESOURCE
db2 create procedure SP_CKIN_RESOURCE(in resource_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CKIN_RESOURCE' language c deterministic parameter style general with nulls

echo  SP_CKOUT_RESOURCE
db2 drop procedure SP_CKOUT_RESOURCE
db2 create procedure SP_CKOUT_RESOURCE(in resource_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CKOUT_RESOURCE' language c deterministic parameter style general with nulls

echo  SP_UCKOUT_RESOURCE
db2 drop procedure SP_UCKOUT_RESOURCE
db2 create procedure SP_UCKOUT_RESOURCE(in resource_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_UCKOUT_RESOURCE' language c deterministic parameter style general with nulls

echo  SP_ISOUT_RESOURCE
db2 drop procedure SP_ISOUT_RESOURCE
db2 create procedure SP_ISOUT_RESOURCE(in resource_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_ISOUT_RESOURCE' language c deterministic parameter style general with nulls

rem echo  SP_I_RESOURCE
rem db2 drop procedure SP_I_RESOURCE
rem db2 create procedure SP_I_RESOURCE(in full_name long varchar, in parent_id long varchar, in type integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_RESOURCE' language c deterministic parameter style general with nulls

echo  SP_S_RESOURCE
db2 drop procedure SP_S_RESOURCE
db2 create procedure SP_S_RESOURCE(in resource_id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_RESOURCE' language c deterministic parameter style general with nulls

echo  SP_S_RES
db2 drop procedure SP_S_RES
db2 create procedure SP_S_RES(in resource_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_RES' language c deterministic parameter style general with nulls

echo  SP_U_RES_NAME
db2 drop procedure SP_U_RES_NAME
db2 create procedure SP_U_RES_NAME(in resource_id long varchar, in fname long varchar,in mname long varchar,in lname long varchar,in nnickname long varchar,in email long varchar,in alias long varchar, in sin_number long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_RES_NAME' language c deterministic parameter style general with nulls

echo  SP_U_RES_LOGON
db2 drop procedure SP_U_RES_LOGON
db2 create procedure SP_U_RES_LOGON(in resource_id long varchar,in logon long varchar,in reminder long varchar, in multiple_logins long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_RES_LOGON' language c deterministic parameter style general with nulls

echo  SP_U_RES_PASSWORD
db2 drop procedure SP_U_RES_PASSWORD
db2 create procedure SP_U_RES_PASSWORD(in resource_id long varchar,in logon_password long varchar,in rec_user long varchar) external name '%procdir%%DB%!SP_U_RES_PASSWORD' language c deterministic parameter style general with nulls

echo SP_U_RES_FULLNAME
db2 drop procedure SP_U_RES_FULLNAME
db2 create procedure SP_U_RES_FULLNAME( in resource_id long varchar, in full_name long varchar, in rec_user long varchar)external name '%procdir%%DB%!SP_U_RES_FULLNAME' language c deterministic parameter style general with nulls

echo SP_U_RES_SECURITY
db2 drop procedure SP_U_RES_SECURITY
db2 create procedure SP_U_RES_SECURITY( in resource_id long varchar, in int_security_1 integer, in int_security_2 integer, in int_security_3 integer, in int_security_4 integer, in int_security_5 integer, in rec_user long varchar)external name '%procdir%%DB%!SP_U_RES_SECURITY' language c deterministic parameter style general with nulls

echo SP_U_EXECUTIVE_SECURITY
db2 drop procedure SP_U_EXECUTIVE_SECURITY
db2 create procedure SP_U_EXECUTIVE_SECURITY(in resource_id long varchar, in security_id long varchar, in rec_user long varchar)external name '%procdir%%DB%!SP_U_EXECUTIVE_SECURITY' language c deterministic parameter style general with nulls

echo SP_U_VERIFIED_BY
db2 drop procedure SP_U_VERIFIED_BY
db2 create procedure SP_U_VERIFIED_BY( in resource_id long varchar, in verified_by1 long varchar, in verified_by2 long varchar, in rec_user long varchar)external name '%procdir%%DB%!SP_U_VERIFIED_BY' language c deterministic parameter style general with nulls

echo SP_UNVERIFIED_BY
db2 drop procedure SP_UNVERIFIED_BY
db2 create procedure SP_UNVERIFIED_BY( in resource_id long varchar, in rec_user long varchar)external name '%procdir%%DB%!SP_UNVERIFIED_BY' language c deterministic parameter style general with nulls

echo SP_U_COMPANY_INFO
db2 drop procedure SP_U_COMPANY_INFO
db2 create procedure SP_U_COMPANY_INFO( in resource_id long varchar, in website long varchar, in rec_user long varchar)external name '%procdir%%DB%!SP_U_COMPANY_INFO' language c deterministic parameter style general with nulls

echo SP_U_WORK_SPEC
db2 drop procedure SP_U_WORK_SPEC
db2 create procedure SP_U_WORK_SPEC( in resource_id long varchar, in role_id long varchar, in title long varchar, in address1 long varchar, in address2 long varchar, in zip long varchar, in citizenship integer, in country_code long varchar, in company_code long varchar, in division_code long varchar, in department_code long varchar, in employee_code long varchar, in custom_01 long varchar, in custom_02 long varchar, in custom_03 long varchar, in custom_04 long varchar, in custom_05 long varchar, in rec_user long varchar)external name '%procdir%%DB%!SP_U_WORK_SPEC' language c deterministic parameter style general with nulls

echo SP_U_EMPLOYEE_SPEC
db2 drop procedure SP_U_EMPLOYEE_SPEC
db2 create procedure SP_U_EMPLOYEE_SPEC( in resource_id long varchar, in home_office long varchar, in work_loc integer, in work_phone long varchar, in alt_phone long varchar, in cell_phone long varchar, in status1_id integer, in status2_id integer, in experience integer, in maxdayhours integer, in mindayhours integer, in percent_assign double, in icq_id long varchar, in pager_num long varchar, in fax_num long varchar, in rec_user long varchar)external name '%procdir%%DB%!SP_U_EMPLOYEE_SPEC' language c deterministic parameter style general with nulls

echo  SP_U_COMPANY_SPEC
db2 drop procedure SP_U_COMPANY_SPEC
db2 create procedure SP_U_COMPANY_SPEC(in resource_id long varchar,in exec_level long varchar, in effective_date long varchar, in discontinue_date long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_COMPANY_SPEC' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_RES_REVISION
db2 create procedure SP_U_RES_REVISION(in id long varchar, in bitflag integer, in rev_impact integer, in rev_type integer, in rev_history long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_RES_REVISION' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_RES_REVISION
db2 create procedure SP_S_RES_REVISION(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_RES_REVISION' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_RES_RATES
db2 create procedure SP_U_RES_RATES(in id long varchar, in currency_id integer, in regular_cost double, in regular_sale double, in special_cost double, in special_sale double, in rec_user long varchar) external name '%procdir%%DB%!SP_U_RES_RATES' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_RES_ACTIVE
db2 create procedure SP_U_RES_ACTIVE(in id long varchar, in active long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_RES_ACTIVE' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_RES_FS_LABOR_CODE
db2 create procedure SP_U_RES_FS_LABOR_CODE(in id long varchar, in fs_labor_code long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_RES_FS_LABOR_CODE' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_RES_PASS_EXP
db2 create procedure SP_U_RES_PASS_EXP(in username long varchar, in old_password long varchar, in new_password long varchar) external name '%procdir%%DB%!SP_U_RES_PASS_EXP' language c deterministic parameter style general with nulls

db2 drop procedure SP_VERIFY_PASSWORD
db2 create procedure SP_VERIFY_PASSWORD(in resource_id long varchar, in password long varchar) external name '%procdir%%DB%!SP_VERIFY_PASSWORD' language c deterministic parameter style general with nulls

echo  SP_U_RES_CAPTION
db2 drop procedure SP_U_RES_CAPTION
db2 create procedure SP_U_RES_CAPTION(in resource_id long varchar, in portal_page long varchar,in dashboard long varchar, in p_portal_url1 long varchar, in p_portal_url2 long varchar, in p_portal_url3 long varchar, in p_portal_url4 long varchar, in p_portal_url5 long varchar, in overwritefile long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_RES_CAPTION' language c deterministic parameter style general with nulls


REM ************************************** MISSING FUNCTIONS BEGIN ******************************************
REM **************************************  MISSING FUNCTIONS END  ******************************************

REM   14 Stored procedures  in this batch file.

REM *********************************************  END  *****************************************************


echo ****************  RESOURCE STP BUILD FINISH   *********************
:done

