@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

REM ********************************************* BEGIN *****************************************************
 
echo ****************  Staffing Request STP BUILD START   *********************


echo  SP_I_SUGGEST
db2 drop procedure SP_I_SUGGEST
db2 create procedure SP_I_SUGGEST(in prj_id long varchar,in profile_id long varchar,in start_date long varchar,in finish_date long varchar,in effort integer,in work integer,in bitflag integer,in eunit integer,in unit integer,in contour integer,in occurrence integer,in consider_planned_sched integer,in and_roles long varchar,in and_skills long varchar,in res_ids long varchar,in rec_user long varchar) external name '%procdir%%DB%!SP_I_SUGGEST' language c deterministic parameter style general with nulls

echo  SP_D_SUGGEST
db2 drop procedure SP_D_SUGGEST
db2 create procedure SP_D_SUGGEST(in prj_id long varchar,in profile_id long varchar,in resource_id long varchar,in rec_user long varchar) external name '%procdir%%DB%!SP_D_SUGGEST' language c deterministic parameter style general with nulls

echo  SP_S_CANDIDATE
db2 drop procedure SP_S_CANDIDATE
db2 create procedure SP_S_CANDIDATE(in prj_id long varchar, in profile_id long varchar, in bits integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_CANDIDATE' language c deterministic parameter style general with nulls

echo  SP_U_SUGGEST
db2 drop procedure SP_U_SUGGEST
db2 create procedure SP_U_SUGGEST(in resource_id long varchar, in prj_id long varchar, in profile_id long varchar, in manager_id long varchar, in accepted_flag long varchar,in rec_user long varchar) external name '%procdir%%DB%!SP_U_SUGGEST' language c deterministic parameter style general with nulls

echo  SP_U_STAFFING_REQUEST
db2 drop procedure SP_U_STAFFING_REQUEST
db2 create procedure SP_U_STAFFING_REQUEST(in id long varchar, in rec_status long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_STAFFING_REQUEST' language c deterministic parameter style general with nulls

db2 drop procedure SP_CANCEL_RM_NOTIFICATION
db2 create procedure SP_CANCEL_RM_NOTIFICATION(in project_id long varchar, in resource_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CANCEL_RM_NOTIFICATION' language c deterministic parameter style general with nulls

echo ****************  Staffing Request STP BUILD FINISH   *********************

REM *********************************************  END  *****************************************************

:done
