@echo off
set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

REM ********************************************* BEGIN *****************************************************
echo ****************  VIEWS STP BUILD START   *********************

db2 drop procedure SP_U_PBB
db2 create procedure SP_U_PBB(in project_id long varchar, in budget_year integer, in chargecode_id long varchar, in budget_type integer, in month_01_amount double, in month_02_amount double, in month_03_amount double, in month_04_amount double, in month_05_amount double, in month_06_amount double, in month_07_amount double, in month_08_amount double, in month_09_amount double, in month_10_amount double, in month_11_amount double, in month_12_amount double, in rec_user long varchar) external name '%procdir%%DB%!SP_U_PBB' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_PBB
db2 create procedure SP_S_PBB(in project_id long varchar, in budget_year integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_PBB' language c deterministic parameter style general with nulls

db2 drop procedure SP_PBB_PIVOT
db2 create procedure SP_PBB_PIVOT( in ids long varchar, in type integer ) external name '%procdir%%DB%!SP_PBB_PIVOT' language c deterministic parameter style general with nulls

rem db2 drop procedure SP_BUDGET_PIVOT
rem db2 create procedure SP_BUDGET_PIVOT( in ids long varchar, in type integer ) external name '%procdir%%DB%!SP_BUDGET_PIVOT' language c deterministic parameter style general with nulls

db2 drop procedure SP_ROLLUP_TIMEPHASE
db2 create procedure SP_ROLLUP_TIMEPHASE(in project_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_ROLLUP_TIMEPHASE' language c deterministic parameter style general with nulls
REM *********************************************  END  *****************************************************

db2 drop procedure SP_REBUILD_LABOR_TIMEPHASE
db2 create procedure SP_REBUILD_LABOR_TIMEPHASE(in project_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_REBUILD_LABOR_TIMEPHASE' language c deterministic parameter style general with nulls
REM *********************************************  END  *****************************************************

echo ****************  VIEWS STP BUILD FINISH   *********************
:done