@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  TIMESHEETS STP BUILD START   *********************

db2 drop procedure SP_I_SUMMARY_TS
db2 create procedure SP_I_SUMMARY_TS(in name long varchar, in parent_id long varchar, in type_id integer, in p_week_of long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_I_SUMMARY_TS' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_SUMMARY_TS
db2 create procedure SP_D_SUMMARY_TS(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_SUMMARY_TS' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ASSIGN_ETC
db2 create procedure SP_U_ASSIGN_ETC(in tsk_assignment_id long varchar, in etc integer, in acc_rej_bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ASSIGN_ETC' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_SRV_TS
db2 create procedure SP_U_SRV_TS(in tsk_assignment_id long varchar, in week_of long varchar, in actual_start long varchar, in actual_finish long varchar, in forecast_start long varchar, in forecast_finish long varchar, in monday_regular integer, in monday_special integer, in tuesday_regular integer, in tuesday_special integer, in wednesday_regular integer, in wednesday_special integer, in thursday_regular integer, in thursday_special integer, in friday_regular integer, in friday_special integer, in saturday_regular integer, in saturday_special integer, in sunday_regular integer, in sunday_special integer, in billable_regular_total integer, in billable_special_total integer, in baseline_effort_week integer, in etc integer, in milestone_percent integer, in notes long varchar, in timecode_1_id long varchar, in timecode_2_id long varchar, in activity_id long varchar, in pda_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_SRV_TS' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_FS_TIMESHEETS
db2 create procedure SP_U_FS_TIMESHEETS(in resource_id long varchar, in task_id long varchar, in week_of long varchar, in monday_regular integer, in monday_special integer, in tuesday_regular integer, in tuesday_special integer, in wednesday_regular integer, in wednesday_special integer, in thursday_regular integer, in thursday_special integer, in friday_regular integer, in friday_special integer, in saturday_regular integer, in saturday_special integer, in sunday_regular integer, in sunday_special integer, in etc integer, in forecast_finish long varchar, in project_regular_cost double, in system_regular_cost double, in rec_user long varchar) external name '%procdir%%DB%!SP_U_FS_TIMESHEETS' language c deterministic parameter style general with nulls

db2 drop procedure SP_GENERATE_TS 
db2 create procedure SP_GENERATE_TS(in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_GENERATE_TS' language c deterministic parameter style general with nulls

db2 drop procedure SP_GENERATE_EW 
db2 create procedure SP_GENERATE_EW(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_GENERATE_EW' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_TS_APPROVAL
db2 create procedure SP_U_TS_APPROVAL(in resource_id long varchar, in week_of long varchar, in project_id long varchar, in role_type integer, in action_type integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_TS_APPROVAL' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_TS_NOTE
db2 create procedure SP_U_TS_NOTE(in resource_id long varchar, in week_of long varchar, in project_id long varchar, in note long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_TS_NOTE' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_TS_WEEKS
db2 create procedure SP_S_TS_WEEKS(in resource_id long varchar, in role_type integer) external name '%procdir%%DB%!SP_S_TS_WEEKS' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_TS_APPROVAL
db2 create procedure SP_S_TS_APPROVAL(in rec_user long varchar) external name '%procdir%%DB%!SP_S_TS_APPROVAL' language c deterministic parameter style general with nulls

echo ****************  TIMESHEETS STP BUILD FINISH   *********************
:done
