@echo off
set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

REM ********************************************* BEGIN *****************************************************
echo ****************  VIEWS STP BUILD START   *********************

db2 DROP PROCEDURE SP_LOAD_BUBBLE
db2 CREATE PROCEDURE SP_LOAD_BUBBLE(IN id LONG VARCHAR, IN bitflag INTEGER) EXTERNAL NAME '%procdir%%DB%!SP_LOAD_BUBBLE' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_LOAD_ATTRIBUTES
db2 CREATE PROCEDURE SP_LOAD_ATTRIBUTES(IN ids LONG VARCHAR, IN type INTEGER, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_LOAD_ATTRIBUTES' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_LOAD_FLAT_ATTR
db2 CREATE PROCEDURE SP_LOAD_FLAT_ATTR(IN ids LONG VARCHAR, IN type INTEGER, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_LOAD_FLAT_ATTR' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_LOAD_FLAT_CRI_ATTR
db2 CREATE PROCEDURE SP_LOAD_FLAT_CRI_ATTR(IN ids LONG VARCHAR, IN type INTEGER, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_LOAD_FLAT_CRI_ATTR' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_LOAD_CRI_ATTR
db2 CREATE PROCEDURE SP_LOAD_CRI_ATTR(IN report_type INTEGER, IN ids LONG VARCHAR, IN resource_id LONG VARCHAR, IN name LONG VARCHAR, IN filter_string LONG VARCHAR, IN filter_count INTEGER, IN type INTEGER, IN active_record INTEGER) EXTERNAL NAME '%procdir%%DB%!SP_LOAD_CRI_ATTR' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_BUBBLE_VIEW
db2 CREATE PROCEDURE SP_BUBBLE_VIEW(IN ids LONG VARCHAR, IN type INTEGER, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_BUBBLE_VIEW' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_BUBBLE_SUMMARY
db2 CREATE PROCEDURE SP_BUBBLE_SUMMARY(IN ids LONG VARCHAR, IN conditions LONG VARCHAR, IN priority_rules LONG VARCHAR, IN type INTEGER, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_BUBBLE_SUMMARY' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_BUBBLE_DETAILS
db2 CREATE PROCEDURE SP_BUBBLE_DETAILS(IN ids LONG VARCHAR, IN type INTEGER, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_BUBBLE_DETAILS' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_GENERAL_HEALTH
db2 CREATE PROCEDURE SP_GENERAL_HEALTH(IN ids LONG VARCHAR, IN type INTEGER, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_GENERAL_HEALTH' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_GENERAL_HEALTH_NF
db2 CREATE PROCEDURE SP_GENERAL_HEALTH_NF(IN ids LONG VARCHAR, IN type INTEGER, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_GENERAL_HEALTH_NF' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_GENERAL_HEALTH_RPT
db2 CREATE PROCEDURE SP_GENERAL_HEALTH_RPT(IN ids LONG VARCHAR, IN type INTEGER, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_GENERAL_HEALTH_RPT' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_GENERAL_HEALTH_RPT_NF
db2 CREATE PROCEDURE SP_GENERAL_HEALTH_RPT_NF(IN ids LONG VARCHAR, IN type INTEGER, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_GENERAL_HEALTH_RPT_NF' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_SC_VIEW
db2 CREATE PROCEDURE SP_SC_VIEW(IN ids LONG VARCHAR, IN type INTEGER, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_SC_VIEW' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_PMO_REPORT
db2 CREATE PROCEDURE SP_PMO_REPORT(IN report_type INTEGER, IN ids LONG VARCHAR, IN type INTEGER, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_PMO_REPORT' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_ISSUE_VIEW
db2 CREATE PROCEDURE SP_ISSUE_VIEW(IN report_type INTEGER, IN ids LONG VARCHAR, IN type INTEGER, IN rec_user LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_ISSUE_VIEW' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_EXCEPTION_PIVOT
db2 CREATE PROCEDURE SP_EXCEPTION_PIVOT(IN report_type INTEGER, IN ids LONG VARCHAR, IN resource_id LONG VARCHAR, IN name LONG VARCHAR, IN filter_string LONG VARCHAR, IN filter_count INTEGER, IN type INTEGER, IN active_record INTEGER) EXTERNAL NAME '%procdir%%DB%!SP_EXCEPTION_PIVOT' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_EXCEPTION_PIVOT_NF
db2 CREATE PROCEDURE SP_EXCEPTION_PIVOT_NF(IN report_type INTEGER, IN ids LONG VARCHAR, IN resource_id LONG VARCHAR, IN name LONG VARCHAR, IN filter_string LONG VARCHAR, IN filter_count INTEGER, IN type INTEGER, IN active_record INTEGER) EXTERNAL NAME '%procdir%%DB%!SP_EXCEPTION_PIVOT_NF' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_SIMPLE_EXCEPTION_ATTR
db2 CREATE PROCEDURE SP_SIMPLE_EXCEPTION_ATTR(IN ids LONG VARCHAR, IN type INTEGER, IN report_type INTEGER, IN row_id LONG VARCHAR, IN column_id LONG VARCHAR, IN resource_id LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_SIMPLE_EXCEPTION_ATTR' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_EXCEPTION_ATTRIBUTES
db2 CREATE PROCEDURE SP_EXCEPTION_ATTRIBUTES(IN report_type INTEGER, IN ids LONG VARCHAR, IN resource_id LONG VARCHAR, IN name LONG VARCHAR, IN filter_string LONG VARCHAR, IN filter_count INTEGER, IN type INTEGER, IN active_record INTEGER) EXTERNAL NAME '%procdir%%DB%!SP_EXCEPTION_ATTRIBUTES' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_LOAD_WBS_ATTR
db2 CREATE PROCEDURE SP_LOAD_WBS_ATTR(IN report_type INTEGER, IN ids LONG VARCHAR, IN resource_id LONG VARCHAR, IN name LONG VARCHAR, IN filter_string LONG VARCHAR, IN filter_count INTEGER, IN type INTEGER, IN active_record INTEGER) EXTERNAL NAME '%procdir%%DB%!SP_LOAD_WBS_ATTR' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_WBS_PIVOT
db2 CREATE PROCEDURE SP_WBS_PIVOT(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN resource_id LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_WBS_PIVOT' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_WBS_PIVOT_NF
db2 CREATE PROCEDURE SP_WBS_PIVOT_NF(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN resource_id LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_WBS_PIVOT_NF' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_WBS_DLV_PIVOT
db2 CREATE PROCEDURE SP_WBS_DLV_PIVOT(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN resource_id LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_WBS_DLV_PIVOT' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

db2 DROP PROCEDURE SP_WBS_DLV_PIVOT_NF
db2 CREATE PROCEDURE SP_WBS_DLV_PIVOT_NF(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN resource_id LONG VARCHAR) EXTERNAL NAME '%procdir%%DB%!SP_WBS_DLV_PIVOT_NF' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS

REM *********************************************  END  *****************************************************

echo ****************  VIEWS STP BUILD FINISH   *********************
:done

