@echo off
set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

REM ********************************************* BEGIN *****************************************************
 
echo ****************  POOL_VIEWS STP BUILD START   *********************

REM ********************************************************************************/
REM sp_id identifies the type of the stored procedure
REM 1 = Team Member Work Package View, returns all projects/deliverables and tasks for resource_id - ALL Levels
REM 2 = Team Member Task View, returns all projects/deliverables and tasks for resource_id - ALL Levels
REM 3 = PM Work Package View, returns all projects/deliverables and tasks for resource_id - ALL Levels
REM ********************************************************************************/
db2 drop procedure SP_POOL_VIEW
db2 create procedure SP_POOL_VIEW( in id long varchar, in resource_id long varchar, in p_name long varchar, in p_family_name long varchar, in p_search_by_name_bitflag integer, in filter_count integer, in type integer, in active_record integer, in user_id long varchar ) external name '%procdir%%DB%!SP_POOL_VIEW' language c deterministic parameter style general with nulls


REM *********************************************  END  *****************************************************

echo ****************  POOL_VIEWS STP BUILD FINISH   *********************
:done

