@echo off
set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

REM ********************************************* BEGIN *****************************************************

echo ****************  PROJECTS STP BUILD START   *********************

echo  SP_S_FTE
db2 drop procedure SP_S_FTE
db2 create procedure SP_S_FTE( in type integer, in id long varchar, in ieflag integer ) external name '%procdir%%DB%!SP_S_FTE' language c deterministic parameter style general with nulls

echo  SP_I_WBS_MSP
db2 drop procedure SP_I_WBS_MSP
db2 create procedure SP_I_WBS_MSP(in name long varchar, in parent_id long varchar, in type integer, in rec_user long varchar, in ieflag integer) external name '%procdir%%DB%!SP_I_WBS_MSP' language c deterministic parameter style general with nulls

echo  SP_I_WBS
db2 drop procedure SP_I_WBS
db2 create procedure SP_I_WBS(in name long varchar, in parent_id long varchar, in type integer, in rec_user long varchar ) external name '%procdir%%DB%!SP_I_WBS' language c deterministic parameter style general with nulls

echo  SP_U_WBS_TIMECODES
db2 drop procedure SP_U_WBS_TIMECODES
db2 create procedure SP_U_WBS_TIMECODES(in p_id long varchar, in p_timecode_1_id long varchar, in p_timecode_2_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WBS_TIMECODES' language c deterministic parameter style general with nulls

echo  SP_U_WBS_START_FINISH_DATES
db2 drop procedure SP_U_WBS_START_FINISH_DATES
db2 create procedure SP_U_WBS_START_FINISH_DATES(in p_id long varchar, in p_start_finish_date long varchar, in p_finish_start_date long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WBS_START_FINISH_DATES' language c deterministic parameter style general with nulls

echo  SP_U_WBS_REQUEST
db2 drop procedure SP_U_WBS_REQUEST
db2 create procedure SP_U_WBS_REQUEST(in id long varchar, in start_finish_flag long varchar, in buffer_percent integer, in reporting_freq integer, in start_time long varchar, in end_time long varchar, in hours_per_day integer, in calendar_id long varchar, in currency_id integer, in request_descr long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WBS_REQUEST' language c deterministic parameter style general with nulls

echo  SP_U_WBS_METHOD
db2 drop procedure SP_U_WBS_METHOD
db2 create procedure SP_U_WBS_METHOD(in id long varchar, in method integer, in effort_driven integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WBS_METHOD' language c deterministic parameter style general with nulls

echo  SP_U_WBS_OPPORTUN
db2 drop procedure SP_U_WBS_OPPORTUN
db2 create procedure SP_U_WBS_OPPORTUN(in id long varchar, in opportunity_name long varchar, in est_cost double, in est_revenue double, in est_margin double, in est_payback_period integer, in est_payback_month integer, in pursuit_start long varchar, in pursuit_finish long varchar, in forecast_closed long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WBS_OPPORTUN' language c deterministic parameter style general with nulls

echo  SP_U_DESCRIPTION
db2 drop procedure SP_U_DESCRIPTION
db2 create procedure SP_U_DESCRIPTION(in id long varchar, in ref_code long varchar, in priority integer, in probability integer, in type integer, in planning_type integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_DESCRIPTION' language c deterministic parameter style general with nulls

echo  SP_U_WBS_NAME_MSP
db2 drop procedure SP_U_WBS_NAME_MSP
db2 create procedure SP_U_WBS_NAME_MSP(in id long varchar, in name long varchar, in rec_user long varchar, in ieflag integer) external name '%procdir%%DB%!SP_U_WBS_NAME_MSP' language c deterministic parameter style general with nulls

echo  SP_U_WBS_NAME
db2 drop procedure SP_U_WBS_NAME
db2 create procedure SP_U_WBS_NAME(in id long varchar, in name long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WBS_NAME' language c deterministic parameter style general with nulls

echo  SP_U_WBS_STATUS
db2 drop procedure SP_U_WBS_STATUS
db2 create procedure SP_U_WBS_STATUS(in id long varchar, in rec_status long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WBS_STATUS' language c deterministic parameter style general with nulls

echo  SP_U_CONSTRAINT
db2 drop procedure SP_U_CONSTRAINT
db2 create procedure SP_U_CONSTRAINT(in id long varchar, in constraint_dt long varchar, in constraint_type integer, in task_type integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CONSTRAINT' language c deterministic parameter style general with nulls

echo  SP_U_WBS_REVISION
db2 drop procedure SP_U_WBS_REVISION
db2 create procedure SP_U_WBS_REVISION(in id long varchar, in bitflag integer, in rev_impact integer, in rev_type integer, in rev_history long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WBS_REVISION' language c deterministic parameter style general with nulls

echo  SP_D_WBS_MSP
db2 drop procedure SP_D_WBS_MSP
db2 create procedure SP_D_WBS_MSP(in id long varchar, in parent_id long varchar, in status_id long varchar, in rec_user long varchar, in ieflag integer) external name '%procdir%%DB%!SP_D_WBS_MSP' language c deterministic parameter style general with nulls

echo  SP_D_WBS
db2 drop procedure SP_D_WBS
db2 create procedure SP_D_WBS(in id long varchar, in parent_id long varchar, in status_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_WBS' language c deterministic parameter style general with nulls

echo SP_U_WBS_TYPE
db2 drop procedure SP_U_WBS_TYPE
db2 create procedure SP_U_WBS_TYPE(in id long varchar, in flag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WBS_TYPE' language c deterministic parameter style general with nulls

echo SP_U_PUBLISHED
db2 drop procedure SP_U_PUBLISHED
db2 create procedure SP_U_PUBLISHED(in id long varchar, in flag long varchar, in parent_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_PUBLISHED' language c deterministic parameter style general with nulls

echo  SP_UN_WBS
db2 drop procedure SP_UN_WBS
db2 create procedure SP_UN_WBS(in id long varchar, in parent_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UN_WBS' language c deterministic parameter style general with nulls

REM echo  SP_U_TSKDATES
REM db2 drop procedure SP_U_TSKDATES
REM db2 create procedure SP_U_TSKDATES(in id long varchar, in bitflag integer, in start_date long varchar, in end_date long varchar, in duration integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_TSKDATES' language c deterministic parameter style general with nulls

echo  SP_U_PLANNED
db2 drop procedure SP_U_PLANNED
db2 create procedure SP_U_PLANNED(in id long varchar, in bitflag integer, in start_date long varchar, in end_date long varchar, in rollup_flag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_PLANNED' language c deterministic parameter style general with nulls

echo  SP_U_PROPOSED
db2 drop procedure SP_U_PROPOSED
db2 create procedure SP_U_PROPOSED(in id long varchar, in bitflag integer, in start_date long varchar, in end_date long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_PROPOSED' language c deterministic parameter style general with nulls

echo  SP_U_SCHED
db2 drop procedure SP_U_SCHED
db2 create procedure SP_U_SCHED(in id long varchar, in bitflag integer, in start_date long varchar, in end_date long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_SCHED' language c deterministic parameter style general with nulls

echo  SP_U_FORECAST
db2 drop procedure SP_U_FORECAST
db2 create procedure SP_U_FORECAST(in id long varchar, in bitflag integer, in start_date long varchar, in end_date long varchar, in acc_rej_bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_FORECAST' language c deterministic parameter style general with nulls

echo  SP_U_ACTUAL
db2 drop procedure SP_U_ACTUAL
db2 create procedure SP_U_ACTUAL(in id long varchar, in bitflag integer, in start_date long varchar, in end_date long varchar, in mlst_percent integer, in close_task_right integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ACTUAL' language c deterministic parameter style general with nulls

echo  SP_U_MLST_PERCENT
db2 drop procedure SP_U_MLST_PERCENT
db2 create procedure SP_U_MLST_PERCENT(in id long varchar, in mlst_percent integer, in rec_user long varchar ) external name '%procdir%%DB%!SP_U_MLST_PERCENT' language c deterministic parameter style general with nulls

echo  SP_ISOUT_WBS
db2 drop procedure SP_ISOUT_WBS
db2 create procedure SP_ISOUT_WBS(in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_ISOUT_WBS' language c deterministic parameter style general with nulls

echo  SP_CHECK_IN
db2 drop procedure SP_CHECK_IN
db2 create procedure SP_CHECK_IN(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CHECK_IN' language c deterministic parameter style general with nulls

echo  CAN_CHECKIN_ALL
db2 drop procedure CAN_CHECKIN_ALL
db2 create procedure CAN_CHECKIN_ALL(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!CAN_CHECKIN_ALL' language c deterministic parameter style general with nulls

echo  SP_CHECKIN_ALL
db2 drop procedure SP_CHECKIN_ALL
db2 create procedure SP_CHECKIN_ALL(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CHECKIN_ALL' language c deterministic parameter style general with nulls

echo  SP_CHECK_OUT
db2 drop procedure SP_CHECK_OUT
db2 create procedure SP_CHECK_OUT(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CHECK_OUT' language c deterministic parameter style general with nulls

echo  SP_UNDO_CHECKOUT
db2 drop procedure SP_UNDO_CHECKOUT
db2 create procedure SP_UNDO_CHECKOUT(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_UNDO_CHECKOUT' language c deterministic parameter style general with nulls

echo  SP_LOCK_WBS
db2 drop procedure SP_LOCK_WBS
db2 create procedure SP_LOCK_WBS(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_LOCK_WBS' language c deterministic parameter style general with nulls

echo  SP_UNLOCK_WBS
db2 drop procedure SP_UNLOCK_WBS
db2 create procedure SP_UNLOCK_WBS(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_UNLOCK_WBS' language c deterministic parameter style general with nulls

echo  SP_COMMIT
db2 drop procedure SP_COMMIT
db2 create procedure SP_COMMIT(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_COMMIT' language c deterministic parameter style general with nulls

echo  SP_CLEAR_BASELINE
db2 drop procedure SP_CLEAR_BASELINE
db2 create procedure SP_CLEAR_BASELINE(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_CLEAR_BASELINE' language c deterministic parameter style general with nulls

echo  SP_S_WBS_REVISION
db2 drop procedure SP_S_WBS_REVISION
db2 create procedure SP_S_WBS_REVISION(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_WBS_REVISION' language c deterministic parameter style general with nulls

echo  SP_WBS_MSP
db2 drop procedure SP_WBS_MSP
db2 create procedure SP_WBS_MSP(in id long varchar, in action_type integer, in name long varchar, in parent_id long varchar, in type integer, in data_flag integer, in start_dt long varchar, in finish_dt long varchar, in duration integer, in percent_complete integer, in constraint_type integer, in constraint_date long varchar, in priority integer, in baseline_start long varchar, in baseline_finish long varchar, in baseline_duration integer, in baseline_effort integer, in actual_start long varchar, in actual_finish long varchar, in actual_duration integer, in msp_id integer, in ieflag integer, in task_type integer, in rec_user long varchar) external name '%procdir%%DB%!SP_WBS_MSP' language c deterministic parameter style general with nulls

db2 drop procedure SP_ROLLUP
db2 create procedure SP_ROLLUP(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_ROLLUP' language c deterministic parameter style general with nulls

db2 drop procedure EXTEND_CAL_MSP
db2 create procedure EXTEND_CAL_MSP(in id long varchar, in start_dt long varchar, in finish_dt long varchar) external name '%procdir%%DB%!EXTEND_CAL_MSP' language c deterministic parameter style general with nulls

db2 drop procedure SP_CLOSE_TASK
db2 create procedure SP_CLOSE_TASK(in id long varchar, in flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_CLOSE_TASK' language c deterministic parameter style general with nulls

echo  SP_U_WBS_TOOLTIP
db2 drop procedure SP_U_WBS_TOOLTIP
db2 create procedure SP_U_WBS_TOOLTIP(in id long varchar, in name long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WBS_TOOLTIP' language c deterministic parameter style general with nulls

db2 drop procedure SP_CAN_LOCK
db2 create procedure SP_CAN_LOCK(in id long varchar)external name '%procdir%%DB%!SP_CAN_LOCK' language c deterministic parameter style general with nulls

db2 drop procedure SP_PUBLISH_BUBBLE
db2 create procedure SP_PUBLISH_BUBBLE( in id long varchar, in bubble_color integer, in rec_user long varchar )external name '%procdir%%DB%!SP_PUBLISH_BUBBLE' language c deterministic parameter style general with nulls

db2 drop procedure SP_PUBLISH_PRIORITY
db2 create procedure SP_PUBLISH_PRIORITY( in id long varchar, in priority integer, in stage integer, in rec_user long varchar )external name '%procdir%%DB%!SP_PUBLISH_PRIORITY' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_PROJ_RTFBITS
db2 create procedure SP_S_PROJ_RTFBITS( in id long varchar, in bitflag integer)external name '%procdir%%DB%!SP_S_PROJ_RTFBITS' language c deterministic parameter style general with nulls

rem db2 drop procedure SP_U_PROJ_RTFBITS
rem db2 create procedure SP_U_PROJ_RTFBITS( in id long varchar, in prj_rtf_bits integer, in prj_rtf_bits2 integer, in dlv_rtf_bits integer, in wrk_prd_rtf_bits integer, in smm_tsk_rtf_bits integer, in milstone_rtf_bits integer, in tsk_rtf_bits integer, in req_rtf_bits integer, in chr_rtf_bits integer, in srq_rtf_bits integer, in dfc_rtf_bits integer, in iss_rtf_bits integer, in rsk_rtf_bits integer, in cri_dlv_rtf_bits integer, in cri_smm_tsk_rtf_bits integer, in cri_milstone_rtf_bits integer, in cri_tsk_bits integer, in doc_rtf_bits integer, in actionitem_rtf_bits integer, in notemin_rtf_bits integer, in scorecard_rtf_bits integer, in rec_user long varchar)external name '%procdir%%DB%!SP_U_PROJ_RTFBITS' language c deterministic parameter style general with nulls

rem db2 drop procedure SP_U_PROJ_URL
rem db2 create procedure SP_U_PROJ_URL( in id long varchar, in url_1 long varchar, in url_2 long varchar, in url_3 long varchar, in url_4 long varchar, in url_5 long varchar, in rec_user long varchar)external name '%procdir%%DB%!SP_U_PROJ_URL' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_DEFAULT_PROJECT
db2 create procedure SP_U_DEFAULT_PROJECT( in id long varchar, in flag integer, in rec_user long varchar)external name '%procdir%%DB%!SP_U_DEFAULT_PROJECT' language c deterministic parameter style general with nulls

rem db2 drop procedure SP_U_PROJ_BUDGETBITS
rem db2 create procedure SP_U_PROJ_BUDGETBITS( in id long varchar, in budget_setting_bits integer, in rec_user long varchar)external name '%procdir%%DB%!SP_U_PROJ_BUDGETBITS' language c deterministic parameter style general with nulls

REM echo  SP_TT
REM db2 drop procedure SP_TT
REM db2 create procedure SP_TT(in project_id long varchar, in element_id long varchar, in cc_id long varchar, in est_cost double, in p_start_date long varchar, in p_end_date long varchar, in p_type_id integer) external name '%procdir%%DB%!SP_TT' language c deterministic parameter style general with nulls


rem echo  SP_U_TIMEPHASE_ASSIGNMENT
rem db2 drop procedure SP_U_TIMEPHASE_ASSIGNMENT
rem db2 create procedure SP_U_TIMEPHASE_ASSIGNMENT(in p_id long varchar, in p_timephase_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_TIMEPHASE_ASSIGNMENT' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_PROJ_BITS
db2 create procedure SP_U_PROJ_BITS( in id long varchar,in p_timephase_flag long varchar, in url_1 long varchar, in url_2 long varchar, in url_3 long varchar, in url_4 long varchar, in url_5 long varchar,in prj_rtf_bits integer,in prj_rtf_bits2 integer,in dlv_rtf_bits integer, in wrk_prd_rtf_bits integer, in smm_tsk_rtf_bits integer, in milstone_rtf_bits integer, in tsk_rtf_bits integer, in req_rtf_bits integer, in chr_rtf_bits integer, in srq_rtf_bits integer, in dfc_rtf_bits integer, in iss_rtf_bits integer, in rsk_rtf_bits integer, in cri_dlv_rtf_bits integer, in cri_smm_tsk_rtf_bits integer, in cri_milstone_rtf_bits integer, in cri_tsk_bits integer, in doc_rtf_bits integer, in actionitem_rtf_bits integer, in notemin_rtf_bits integer, in scorecard_rtf_bits integer,in budget_setting_bits integer, in p_enable_ev_calculation integer, in p_chargeback_formula integer, in p_RollupProjectEstimated integer, in p_RollupDeliverableEstimated integer, in p_notify_tm_rejected long varchar, in p_notify_tm_accepted long varchar, in p_notify_pm_submitted long varchar, in p_notify_rm_submitted long varchar, in p_notify_rm_accepted long varchar, in assignment_billable_flag integer, in p_def_cri_consider_assign long varchar, in p_def_cri_adopt_participants long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_PROJ_BITS' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_WBS_ASSET
db2 create procedure SP_U_WBS_ASSET(in id long varchar, in asset_id long varchar, in asset_name long varchar, in financial_category integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WBS_ASSET' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_WBS_ELEMENT_FLAG
db2 create procedure SP_U_WBS_ELEMENT_FLAG(in id long varchar, in element_flag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WBS_ELEMENT_FLAG' language c deterministic parameter style general with nulls

REM ************************************** MISSING FUNCTIONS BEGIN ******************************************
REM **************************************  MISSING FUNCTIONS END  ******************************************

REM   20 Stored procedures  in this bath file.

REM *********************************************  END  *****************************************************


echo ****************  PROJECTS STP BUILD FINISH   *********************
:done

